!******************************************************************************!
!                                                                              !
!    class_couplings.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   class_couplings.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-16 14:57             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module class_couplings
  use constants_mdl
  use class_particles
  implicit none
  save
  integer, parameter :: n = 323

  logical :: couplings_init = .false.
  logical :: ctcouplings_init = .false.
  complex(dp) :: coupl(2737)
  integer, parameter :: nGC_1535 = 1
  integer, parameter :: nGC_1534 = 2
  integer, parameter :: nGC_1537 = 3
  integer, parameter :: nGC_1536 = 4
  integer, parameter :: nGC_1531 = 5
  integer, parameter :: nGC_1530 = 6
  integer, parameter :: nGC_1533 = 7
  integer, parameter :: nGC_1532 = 8
  integer, parameter :: nGC_1539 = 9
  integer, parameter :: nGC_1538 = 10
  integer, parameter :: nGC_1401 = 11
  integer, parameter :: nGC_1400 = 12
  integer, parameter :: nGC_1403 = 13
  integer, parameter :: nGC_1402 = 14
  integer, parameter :: nGC_1405 = 15
  integer, parameter :: nGC_1404 = 16
  integer, parameter :: nGC_1407 = 17
  integer, parameter :: nGC_1406 = 18
  integer, parameter :: nGC_1409 = 19
  integer, parameter :: nGC_1408 = 20
  integer, parameter :: nGC_939 = 21
  integer, parameter :: nGC_938 = 22
  integer, parameter :: nGC_935 = 23
  integer, parameter :: nGC_934 = 24
  integer, parameter :: nGC_937 = 25
  integer, parameter :: nGC_936 = 26
  integer, parameter :: nGC_931 = 27
  integer, parameter :: nGC_930 = 28
  integer, parameter :: nGC_933 = 29
  integer, parameter :: nGC_932 = 30
  integer, parameter :: nGC_1249 = 31
  integer, parameter :: nGC_1248 = 32
  integer, parameter :: nGC_1243 = 33
  integer, parameter :: nGC_1242 = 34
  integer, parameter :: nGC_1241 = 35
  integer, parameter :: nGC_1240 = 36
  integer, parameter :: nGC_1247 = 37
  integer, parameter :: nGC_1246 = 38
  integer, parameter :: nGC_1245 = 39
  integer, parameter :: nGC_1244 = 40
  integer, parameter :: nGC_1294 = 41
  integer, parameter :: nGC_349 = 42
  integer, parameter :: nGC_347 = 43
  integer, parameter :: nGC_345 = 44
  integer, parameter :: nGC_343 = 45
  integer, parameter :: nGC_168 = 46
  integer, parameter :: nGC_169 = 47
  integer, parameter :: nGC_162 = 48
  integer, parameter :: nGC_163 = 49
  integer, parameter :: nGC_160 = 50
  integer, parameter :: nGC_161 = 51
  integer, parameter :: nGC_166 = 52
  integer, parameter :: nGC_167 = 53
  integer, parameter :: nGC_164 = 54
  integer, parameter :: nGC_165 = 55
  integer, parameter :: nGC_1522 = 56
  integer, parameter :: nGC_1523 = 57
  integer, parameter :: nGC_1520 = 58
  integer, parameter :: nGC_1521 = 59
  integer, parameter :: nGC_1526 = 60
  integer, parameter :: nGC_1527 = 61
  integer, parameter :: nGC_1524 = 62
  integer, parameter :: nGC_1525 = 63
  integer, parameter :: nGC_1528 = 64
  integer, parameter :: nGC_1529 = 65
  integer, parameter :: nGC_1418 = 66
  integer, parameter :: nGC_1419 = 67
  integer, parameter :: nGC_1416 = 68
  integer, parameter :: nGC_1417 = 69
  integer, parameter :: nGC_1414 = 70
  integer, parameter :: nGC_1415 = 71
  integer, parameter :: nGC_1412 = 72
  integer, parameter :: nGC_1413 = 73
  integer, parameter :: nGC_1410 = 74
  integer, parameter :: nGC_1411 = 75
  integer, parameter :: nGC_908 = 76
  integer, parameter :: nGC_909 = 77
  integer, parameter :: nGC_MHA = 78
  integer, parameter :: nGC_1168 = 79
  integer, parameter :: nGC_MHC = 80
  integer, parameter :: nGC_MHL = 81
  integer, parameter :: nGC_901 = 82
  integer, parameter :: nGC_902 = 83
  integer, parameter :: nGC_903 = 84
  integer, parameter :: nGC_MHH = 85
  integer, parameter :: nGC_905 = 86
  integer, parameter :: nGC_906 = 87
  integer, parameter :: nGC_907 = 88
  integer, parameter :: nGC_1258 = 89
  integer, parameter :: nGC_1250 = 90
  integer, parameter :: nGC_1251 = 91
  integer, parameter :: nGC_1252 = 92
  integer, parameter :: nGC_1253 = 93
  integer, parameter :: nGC_1254 = 94
  integer, parameter :: nGC_1255 = 95
  integer, parameter :: nGC_1256 = 96
  integer, parameter :: nGC_1257 = 97
  integer, parameter :: nGC_593 = 98
  integer, parameter :: nGC_597 = 99
  integer, parameter :: nGC_359 = 100
  integer, parameter :: nGC_355 = 101
  integer, parameter :: nGC_357 = 102
  integer, parameter :: nGC_351 = 103
  integer, parameter :: nGC_353 = 104
  integer, parameter :: nGC_179 = 105
  integer, parameter :: nGC_178 = 106
  integer, parameter :: nGC_171 = 107
  integer, parameter :: nGC_170 = 108
  integer, parameter :: nGC_173 = 109
  integer, parameter :: nGC_172 = 110
  integer, parameter :: nGC_175 = 111
  integer, parameter :: nGC_174 = 112
  integer, parameter :: nGC_177 = 113
  integer, parameter :: nGC_176 = 114
  integer, parameter :: nGC_1089 = 115
  integer, parameter :: nGC_2411 = 116
  integer, parameter :: nGC_1084 = 117
  integer, parameter :: nGC_1087 = 118
  integer, parameter :: nGC_1081 = 119
  integer, parameter :: nGC_1080 = 120
  integer, parameter :: nGC_1083 = 121
  integer, parameter :: nGC_1082 = 122
  integer, parameter :: nGC_1649 = 123
  integer, parameter :: nGC_1648 = 124
  integer, parameter :: nGC_1647 = 125
  integer, parameter :: nGC_1646 = 126
  integer, parameter :: nGC_1645 = 127
  integer, parameter :: nGC_1644 = 128
  integer, parameter :: nGC_1643 = 129
  integer, parameter :: nGC_1642 = 130
  integer, parameter :: nGC_1641 = 131
  integer, parameter :: nGC_1640 = 132
  integer, parameter :: nGC_135 = 133
  integer, parameter :: nGC_137 = 134
  integer, parameter :: nGC_131 = 135
  integer, parameter :: nGC_133 = 136
  integer, parameter :: nGC_1399 = 137
  integer, parameter :: nGC_1398 = 138
  integer, parameter :: nGC_1469 = 139
  integer, parameter :: nGC_1468 = 140
  integer, parameter :: nGC_1391 = 141
  integer, parameter :: nGC_1393 = 142
  integer, parameter :: nGC_1392 = 143
  integer, parameter :: nGC_1395 = 144
  integer, parameter :: nGC_1394 = 145
  integer, parameter :: nGC_1397 = 146
  integer, parameter :: nGC_1396 = 147
  integer, parameter :: nGC_2320 = 148
  integer, parameter :: nGC_917 = 149
  integer, parameter :: nGC_916 = 150
  integer, parameter :: nGC_915 = 151
  integer, parameter :: nGC_914 = 152
  integer, parameter :: nGC_913 = 153
  integer, parameter :: nGC_912 = 154
  integer, parameter :: nGC_911 = 155
  integer, parameter :: nGC_1453 = 156
  integer, parameter :: nGC_919 = 157
  integer, parameter :: nGC_918 = 158
  integer, parameter :: nGC_1265 = 159
  integer, parameter :: nGC_1264 = 160
  integer, parameter :: nGC_1267 = 161
  integer, parameter :: nGC_1261 = 162
  integer, parameter :: nGC_1260 = 163
  integer, parameter :: nGC_1263 = 164
  integer, parameter :: nGC_1262 = 165
  integer, parameter :: nGC_1269 = 166
  integer, parameter :: nGC_1268 = 167
  integer, parameter :: nGC_1067 = 168
  integer, parameter :: nGC_1066 = 169
  integer, parameter :: nGC_1065 = 170
  integer, parameter :: nGC_1064 = 171
  integer, parameter :: nGC_1063 = 172
  integer, parameter :: nGC_1062 = 173
  integer, parameter :: nGC_1061 = 174
  integer, parameter :: nGC_1060 = 175
  integer, parameter :: nGC_1069 = 176
  integer, parameter :: nGC_1068 = 177
  integer, parameter :: nGC_99 = 178
  integer, parameter :: nGC_98 = 179
  integer, parameter :: nGC_97 = 180
  integer, parameter :: nGC_96 = 181
  integer, parameter :: nGC_95 = 182
  integer, parameter :: nGC_94 = 183
  integer, parameter :: nGC_93 = 184
  integer, parameter :: nGC_92 = 185
  integer, parameter :: nGC_91 = 186
  integer, parameter :: nGC_90 = 187
  integer, parameter :: nGC_2604 = 188
  integer, parameter :: nGC_2605 = 189
  integer, parameter :: nGC_2602 = 190
  integer, parameter :: nGC_2603 = 191
  integer, parameter :: nGC_2600 = 192
  integer, parameter :: nGC_2601 = 193
  integer, parameter :: nGC_75 = 194
  integer, parameter :: nGC_74 = 195
  integer, parameter :: nGC_77 = 196
  integer, parameter :: nGC_76 = 197
  integer, parameter :: nGC_71 = 198
  integer, parameter :: nGC_70 = 199
  integer, parameter :: nGC_73 = 200
  integer, parameter :: nGC_72 = 201
  integer, parameter :: nGC_79 = 202
  integer, parameter :: nGC_78 = 203
  integer, parameter :: nGC_2462 = 204
  integer, parameter :: nGC_2461 = 205
  integer, parameter :: nGC_2260 = 206
  integer, parameter :: nGC_2262 = 207
  integer, parameter :: nGC_3023 = 208
  integer, parameter :: nGC_2865 = 209
  integer, parameter :: nGC_2861 = 210
  integer, parameter :: nGC_1341 = 211
  integer, parameter :: nGC_1346 = 212
  integer, parameter :: nGC_369 = 213
  integer, parameter :: nGC_363 = 214
  integer, parameter :: nGC_365 = 215
  integer, parameter :: nGC_367 = 216
  integer, parameter :: nGC_144 = 217
  integer, parameter :: nGC_145 = 218
  integer, parameter :: nGC_146 = 219
  integer, parameter :: nGC_147 = 220
  integer, parameter :: nGC_140 = 221
  integer, parameter :: nGC_141 = 222
  integer, parameter :: nGC_142 = 223
  integer, parameter :: nGC_143 = 224
  integer, parameter :: nGC_148 = 225
  integer, parameter :: nGC_149 = 226
  integer, parameter :: nGC_1098 = 227
  integer, parameter :: nGC_1099 = 228
  integer, parameter :: nGC_1092 = 229
  integer, parameter :: nGC_1093 = 230
  integer, parameter :: nGC_1090 = 231
  integer, parameter :: nGC_1091 = 232
  integer, parameter :: nGC_1096 = 233
  integer, parameter :: nGC_1097 = 234
  integer, parameter :: nGC_1094 = 235
  integer, parameter :: nGC_1095 = 236
  integer, parameter :: nGC_1654 = 237
  integer, parameter :: nGC_1650 = 238
  integer, parameter :: nGC_1651 = 239
  integer, parameter :: nGC_1652 = 240
  integer, parameter :: nGC_1653 = 241
  integer, parameter :: nGC_1355 = 242
  integer, parameter :: nGC_1354 = 243
  integer, parameter :: nGC_1357 = 244
  integer, parameter :: nGC_1356 = 245
  integer, parameter :: nGC_1351 = 246
  integer, parameter :: nGC_1350 = 247
  integer, parameter :: nGC_1386 = 248
  integer, parameter :: nGC_1384 = 249
  integer, parameter :: nGC_1385 = 250
  integer, parameter :: nGC_1382 = 251
  integer, parameter :: nGC_1383 = 252
  integer, parameter :: nGC_1380 = 253
  integer, parameter :: nGC_1381 = 254
  integer, parameter :: nGC_MC = 255
  integer, parameter :: nGC_MB = 256
  integer, parameter :: nGC_1420 = 257
  integer, parameter :: nGC_ME = 258
  integer, parameter :: nGC_MD = 259
  integer, parameter :: nGC_1478 = 260
  integer, parameter :: nGC_MZ = 261
  integer, parameter :: nGC_MS = 262
  integer, parameter :: nGC_1472 = 263
  integer, parameter :: nGC_1473 = 264
  integer, parameter :: nGC_MW = 265
  integer, parameter :: nGC_1475 = 266
  integer, parameter :: nGC_1476 = 267
  integer, parameter :: nGC_1477 = 268
  integer, parameter :: nGC_962 = 269
  integer, parameter :: nGC_963 = 270
  integer, parameter :: nGC_960 = 271
  integer, parameter :: nGC_961 = 272
  integer, parameter :: nGC_966 = 273
  integer, parameter :: nGC_967 = 274
  integer, parameter :: nGC_964 = 275
  integer, parameter :: nGC_965 = 276
  integer, parameter :: nGC_968 = 277
  integer, parameter :: nGC_969 = 278
  integer, parameter :: nGC_1195 = 279
  integer, parameter :: nGC_1272 = 280
  integer, parameter :: nGC_1273 = 281
  integer, parameter :: nGC_1270 = 282
  integer, parameter :: nGC_1271 = 283
  integer, parameter :: nGC_1276 = 284
  integer, parameter :: nGC_1277 = 285
  integer, parameter :: nGC_1274 = 286
  integer, parameter :: nGC_1275 = 287
  integer, parameter :: nGC_1278 = 288
  integer, parameter :: nGC_1279 = 289
  integer, parameter :: nGC_1074 = 290
  integer, parameter :: nGC_1075 = 291
  integer, parameter :: nGC_1076 = 292
  integer, parameter :: nGC_1077 = 293
  integer, parameter :: nGC_1070 = 294
  integer, parameter :: nGC_1071 = 295
  integer, parameter :: nGC_1072 = 296
  integer, parameter :: nGC_1073 = 297
  integer, parameter :: nGC_1078 = 298
  integer, parameter :: nGC_1079 = 299
  integer, parameter :: nGC_88 = 300
  integer, parameter :: nGC_89 = 301
  integer, parameter :: nGC_80 = 302
  integer, parameter :: nGC_81 = 303
  integer, parameter :: nGC_82 = 304
  integer, parameter :: nGC_83 = 305
  integer, parameter :: nGC_84 = 306
  integer, parameter :: nGC_85 = 307
  integer, parameter :: nGC_86 = 308
  integer, parameter :: nGC_87 = 309
  integer, parameter :: nGC_2670 = 310
  integer, parameter :: nGC_66 = 311
  integer, parameter :: nGC_67 = 312
  integer, parameter :: nGC_64 = 313
  integer, parameter :: nGC_65 = 314
  integer, parameter :: nGC_62 = 315
  integer, parameter :: nGC_63 = 316
  integer, parameter :: nGC_60 = 317
  integer, parameter :: nGC_61 = 318
  integer, parameter :: nGC_TS_GC_70_Hh = 319
  integer, parameter :: nGC_TS_GC_70_Hl = 320
  integer, parameter :: nGC_68 = 321
  integer, parameter :: nGC_69 = 322
  integer, parameter :: nGC_MMW_GF = 323
  integer, parameter :: nGC_2254 = 324
  integer, parameter :: nGC_2256 = 325
  integer, parameter :: nGC_2259 = 326
  integer, parameter :: nGC_TS_GC_141_Hl = 327
  integer, parameter :: nGC_2386 = 328
  integer, parameter :: nGC_2385 = 329
  integer, parameter :: nGC_3257 = 330
  integer, parameter :: nGC_3033 = 331
  integer, parameter :: nGC_3031 = 332
  integer, parameter :: nGC_3035 = 333
  integer, parameter :: nGC_3039 = 334
  integer, parameter :: nGC_2925 = 335
  integer, parameter :: nGC_2923 = 336
  integer, parameter :: nGC_TS_GC_133_Hh = 337
  integer, parameter :: nGC_153 = 338
  integer, parameter :: nGC_152 = 339
  integer, parameter :: nGC_151 = 340
  integer, parameter :: nGC_150 = 341
  integer, parameter :: nGC_157 = 342
  integer, parameter :: nGC_156 = 343
  integer, parameter :: nGC_155 = 344
  integer, parameter :: nGC_154 = 345
  integer, parameter :: nGC_159 = 346
  integer, parameter :: nGC_158 = 347
  integer, parameter :: nGC_327 = 348
  integer, parameter :: nGC_2321 = 349
  integer, parameter :: nGC_1449 = 350
  integer, parameter :: nGC_1448 = 351
  integer, parameter :: nGC_971 = 352
  integer, parameter :: nGC_970 = 353
  integer, parameter :: nGC_973 = 354
  integer, parameter :: nGC_972 = 355
  integer, parameter :: nGC_975 = 356
  integer, parameter :: nGC_974 = 357
  integer, parameter :: nGC_977 = 358
  integer, parameter :: nGC_976 = 359
  integer, parameter :: nGC_979 = 360
  integer, parameter :: nGC_978 = 361
  integer, parameter :: nGC_1289 = 362
  integer, parameter :: nGC_1288 = 363
  integer, parameter :: nGC_1287 = 364
  integer, parameter :: nGC_1286 = 365
  integer, parameter :: nGC_1285 = 366
  integer, parameter :: nGC_1284 = 367
  integer, parameter :: nGC_1283 = 368
  integer, parameter :: nGC_1282 = 369
  integer, parameter :: nGC_1281 = 370
  integer, parameter :: nGC_1280 = 371
  integer, parameter :: nGC_1041 = 372
  integer, parameter :: nGC_1040 = 373
  integer, parameter :: nGC_1043 = 374
  integer, parameter :: nGC_1042 = 375
  integer, parameter :: nGC_1045 = 376
  integer, parameter :: nGC_1044 = 377
  integer, parameter :: nGC_1047 = 378
  integer, parameter :: nGC_1046 = 379
  integer, parameter :: nGC_1049 = 380
  integer, parameter :: nGC_1048 = 381
  integer, parameter :: nGC_2969 = 382
  integer, parameter :: nGC_2665 = 383
  integer, parameter :: nGC_MI = 384
  integer, parameter :: nGC_53 = 385
  integer, parameter :: nGC_52 = 386
  integer, parameter :: nGC_51 = 387
  integer, parameter :: nGC_50 = 388
  integer, parameter :: nGC_57 = 389
  integer, parameter :: nGC_56 = 390
  integer, parameter :: nGC_55 = 391
  integer, parameter :: nGC_54 = 392
  integer, parameter :: nGC_59 = 393
  integer, parameter :: nGC_58 = 394
  integer, parameter :: nGC_TS_GC_169_Hl = 395
  integer, parameter :: nGC_MM = 396
  integer, parameter :: nGC_2247 = 397
  integer, parameter :: nGC_1479 = 398
  integer, parameter :: nGC_2391 = 399
  integer, parameter :: nGC_2392 = 400
  integer, parameter :: nGC_2393 = 401
  integer, parameter :: nGC_2394 = 402
  integer, parameter :: nGC_1576 = 403
  integer, parameter :: nGC_2804 = 404
  integer, parameter :: nGC_MU = 405
  integer, parameter :: nGC_MT = 406
  integer, parameter :: nGC_TS_GC_137_Hh = 407
  integer, parameter :: nGC_TS_GC_63_Hh = 408
  integer, parameter :: nGC_2932 = 409
  integer, parameter :: nGC_2933 = 410
  integer, parameter :: nGC_2332 = 411
  integer, parameter :: nGC_1708 = 412
  integer, parameter :: nGC_2886 = 413
  integer, parameter :: nGC_3201 = 414
  integer, parameter :: nGC_419 = 415
  integer, parameter :: nGC_417 = 416
  integer, parameter :: nGC_TS_GC_63_Hl = 417
  integer, parameter :: nGC_415 = 418
  integer, parameter :: nGC_411 = 419
  integer, parameter :: nGC_635 = 420
  integer, parameter :: nGC_633 = 421
  integer, parameter :: nGC_639 = 422
  integer, parameter :: nGC_1452 = 423
  integer, parameter :: nGC_1450 = 424
  integer, parameter :: nGC_1451 = 425
  integer, parameter :: nGC_1456 = 426
  integer, parameter :: nGC_1457 = 427
  integer, parameter :: nGC_1454 = 428
  integer, parameter :: nGC_1455 = 429
  integer, parameter :: nGC_1458 = 430
  integer, parameter :: nGC_1459 = 431
  integer, parameter :: nGC_948 = 432
  integer, parameter :: nGC_949 = 433
  integer, parameter :: nGC_944 = 434
  integer, parameter :: nGC_945 = 435
  integer, parameter :: nGC_946 = 436
  integer, parameter :: nGC_947 = 437
  integer, parameter :: nGC_940 = 438
  integer, parameter :: nGC_941 = 439
  integer, parameter :: nGC_942 = 440
  integer, parameter :: nGC_943 = 441
  integer, parameter :: nGC_1298 = 442
  integer, parameter :: nGC_1299 = 443
  integer, parameter :: nGC_1295 = 444
  integer, parameter :: nGC_1296 = 445
  integer, parameter :: nGC_1297 = 446
  integer, parameter :: nGC_1290 = 447
  integer, parameter :: nGC_1291 = 448
  integer, parameter :: nGC_1292 = 449
  integer, parameter :: nGC_1293 = 450
  integer, parameter :: nGC_1058 = 451
  integer, parameter :: nGC_1059 = 452
  integer, parameter :: nGC_1056 = 453
  integer, parameter :: nGC_1057 = 454
  integer, parameter :: nGC_1054 = 455
  integer, parameter :: nGC_1055 = 456
  integer, parameter :: nGC_1052 = 457
  integer, parameter :: nGC_1053 = 458
  integer, parameter :: nGC_1050 = 459
  integer, parameter :: nGC_1051 = 460
  integer, parameter :: nGC_TS_GC_66_Hh = 461
  integer, parameter :: nGC_898 = 462
  integer, parameter :: nGC_899 = 463
  integer, parameter :: nGC_892 = 464
  integer, parameter :: nGC_893 = 465
  integer, parameter :: nGC_890 = 466
  integer, parameter :: nGC_891 = 467
  integer, parameter :: nGC_896 = 468
  integer, parameter :: nGC_897 = 469
  integer, parameter :: nGC_894 = 470
  integer, parameter :: nGC_895 = 471
  integer, parameter :: nGC_2659 = 472
  integer, parameter :: nGC_2655 = 473
  integer, parameter :: nGC_2654 = 474
  integer, parameter :: nGC_2650 = 475
  integer, parameter :: nGC_TS_GC_173_Hh = 476
  integer, parameter :: nGC_48 = 477
  integer, parameter :: nGC_49 = 478
  integer, parameter :: nGC_44 = 479
  integer, parameter :: nGC_45 = 480
  integer, parameter :: nGC_46 = 481
  integer, parameter :: nGC_47 = 482
  integer, parameter :: nGC_40 = 483
  integer, parameter :: nGC_41 = 484
  integer, parameter :: nGC_42 = 485
  integer, parameter :: nGC_43 = 486
  integer, parameter :: nGC_2729 = 487
  integer, parameter :: nGC_2720 = 488
  integer, parameter :: nGC_2723 = 489
  integer, parameter :: nGC_2722 = 490
  integer, parameter :: nGC_2347 = 491
  integer, parameter :: nGC_2344 = 492
  integer, parameter :: nGC_2830 = 493
  integer, parameter :: nGC_2900 = 494
  integer, parameter :: nGC_2904 = 495
  integer, parameter :: nGC_2906 = 496
  integer, parameter :: nGC_TS_GC_161_Hl = 497
  integer, parameter :: nGC_2349 = 498
  integer, parameter :: nGC_405 = 499
  integer, parameter :: nGC_407 = 500
  integer, parameter :: nGC_401 = 501
  integer, parameter :: nGC_403 = 502
  integer, parameter :: nGC_625 = 503
  integer, parameter :: nGC_1602 = 504
  integer, parameter :: nGC_1600 = 505
  integer, parameter :: nGC_621 = 506
  integer, parameter :: nGC_1606 = 507
  integer, parameter :: nGC_623 = 508
  integer, parameter :: nGC_1604 = 509
  integer, parameter :: nGC_1609 = 510
  integer, parameter :: nGC_1608 = 511
  integer, parameter :: nGC_629 = 512
  integer, parameter :: nGC_1484 = 513
  integer, parameter :: nGC_1119 = 514
  integer, parameter :: nGC_1118 = 515
  integer, parameter :: nGC_1117 = 516
  integer, parameter :: nGC_1116 = 517
  integer, parameter :: nGC_1115 = 518
  integer, parameter :: nGC_1113 = 519
  integer, parameter :: nGC_1112 = 520
  integer, parameter :: nGC_1111 = 521
  integer, parameter :: nGC_1110 = 522
  integer, parameter :: nGC_1593 = 523
  integer, parameter :: nGC_1592 = 524
  integer, parameter :: nGC_1591 = 525
  integer, parameter :: nGC_1590 = 526
  integer, parameter :: nGC_1597 = 527
  integer, parameter :: nGC_1596 = 528
  integer, parameter :: nGC_1595 = 529
  integer, parameter :: nGC_1594 = 530
  integer, parameter :: nGC_1599 = 531
  integer, parameter :: nGC_959 = 532
  integer, parameter :: nGC_958 = 533
  integer, parameter :: nGC_123 = 534
  integer, parameter :: nGC_953 = 535
  integer, parameter :: nGC_952 = 536
  integer, parameter :: nGC_951 = 537
  integer, parameter :: nGC_950 = 538
  integer, parameter :: nGC_957 = 539
  integer, parameter :: nGC_956 = 540
  integer, parameter :: nGC_955 = 541
  integer, parameter :: nGC_954 = 542
  integer, parameter :: nGC_1029 = 543
  integer, parameter :: nGC_1028 = 544
  integer, parameter :: nGC_1023 = 545
  integer, parameter :: nGC_1022 = 546
  integer, parameter :: nGC_1021 = 547
  integer, parameter :: nGC_1020 = 548
  integer, parameter :: nGC_1027 = 549
  integer, parameter :: nGC_1026 = 550
  integer, parameter :: nGC_1025 = 551
  integer, parameter :: nGC_1024 = 552
  integer, parameter :: nGC_1337 = 553
  integer, parameter :: nGC_1336 = 554
  integer, parameter :: nGC_1335 = 555
  integer, parameter :: nGC_1334 = 556
  integer, parameter :: nGC_1333 = 557
  integer, parameter :: nGC_1332 = 558
  integer, parameter :: nGC_1331 = 559
  integer, parameter :: nGC_1330 = 560
  integer, parameter :: nGC_881 = 561
  integer, parameter :: nGC_880 = 562
  integer, parameter :: nGC_883 = 563
  integer, parameter :: nGC_882 = 564
  integer, parameter :: nGC_885 = 565
  integer, parameter :: nGC_884 = 566
  integer, parameter :: nGC_887 = 567
  integer, parameter :: nGC_886 = 568
  integer, parameter :: nGC_2642 = 569
  integer, parameter :: nGC_39 = 570
  integer, parameter :: nGC_38 = 571
  integer, parameter :: nGC_31 = 572
  integer, parameter :: nGC_30 = 573
  integer, parameter :: nGC_33 = 574
  integer, parameter :: nGC_32 = 575
  integer, parameter :: nGC_35 = 576
  integer, parameter :: nGC_34 = 577
  integer, parameter :: nGC_37 = 578
  integer, parameter :: nGC_36 = 579
  integer, parameter :: nGC_2737 = 580
  integer, parameter :: nGC_2732 = 581
  integer, parameter :: nGC_2730 = 582
  integer, parameter :: nGC_2776 = 583
  integer, parameter :: nGC_2826 = 584
  integer, parameter :: nGC_2825 = 585
  integer, parameter :: nGC_2358 = 586
  integer, parameter :: nGC_2359 = 587
  integer, parameter :: nGC_3197 = 588
  integer, parameter :: nGC_3191 = 589
  integer, parameter :: nGC_3193 = 590
  integer, parameter :: nGC_3174 = 591
  integer, parameter :: nGC_3173 = 592
  integer, parameter :: nGC_3170 = 593
  integer, parameter :: nGC_1005 = 594
  integer, parameter :: nGC_329 = 595
  integer, parameter :: nGC_2915 = 596
  integer, parameter :: nGC_2912 = 597
  integer, parameter :: nGC_2910 = 598
  integer, parameter :: nGC_2911 = 599
  integer, parameter :: nGC_1006 = 600
  integer, parameter :: nGC_1001 = 601
  integer, parameter :: nGC_1000 = 602
  integer, parameter :: nGC_1003 = 603
  integer, parameter :: nGC_MTA = 604
  integer, parameter :: nGC_1002 = 605
  integer, parameter :: nGC_188 = 606
  integer, parameter :: nGC_189 = 607
  integer, parameter :: nGC_180 = 608
  integer, parameter :: nGC_181 = 609
  integer, parameter :: nGC_182 = 610
  integer, parameter :: nGC_183 = 611
  integer, parameter :: nGC_184 = 612
  integer, parameter :: nGC_185 = 613
  integer, parameter :: nGC_186 = 614
  integer, parameter :: nGC_187 = 615
  integer, parameter :: nGC_431 = 616
  integer, parameter :: nGC_433 = 617
  integer, parameter :: nGC_TS_GC_92_Hh = 618
  integer, parameter :: nGC_435 = 619
  integer, parameter :: nGC_1610 = 620
  integer, parameter :: nGC_611 = 621
  integer, parameter :: nGC_1612 = 622
  integer, parameter :: nGC_1614 = 623
  integer, parameter :: nGC_615 = 624
  integer, parameter :: nGC_1616 = 625
  integer, parameter :: nGC_1618 = 626
  integer, parameter :: nGC_619 = 627
  integer, parameter :: nGC_1108 = 628
  integer, parameter :: nGC_1109 = 629
  integer, parameter :: nGC_1104 = 630
  integer, parameter :: nGC_1105 = 631
  integer, parameter :: nGC_1106 = 632
  integer, parameter :: nGC_1107 = 633
  integer, parameter :: nGC_1100 = 634
  integer, parameter :: nGC_1101 = 635
  integer, parameter :: nGC_1102 = 636
  integer, parameter :: nGC_1103 = 637
  integer, parameter :: nGC_1580 = 638
  integer, parameter :: nGC_1581 = 639
  integer, parameter :: nGC_1582 = 640
  integer, parameter :: nGC_1583 = 641
  integer, parameter :: nGC_1584 = 642
  integer, parameter :: nGC_1585 = 643
  integer, parameter :: nGC_1586 = 644
  integer, parameter :: nGC_1587 = 645
  integer, parameter :: nGC_1588 = 646
  integer, parameter :: nGC_1589 = 647
  integer, parameter :: nGC_2796 = 648
  integer, parameter :: nGC_TS_GC_184_Hl = 649
  integer, parameter :: nGC_1038 = 650
  integer, parameter :: nGC_1039 = 651
  integer, parameter :: nGC_1030 = 652
  integer, parameter :: nGC_1031 = 653
  integer, parameter :: nGC_1032 = 654
  integer, parameter :: nGC_1033 = 655
  integer, parameter :: nGC_1034 = 656
  integer, parameter :: nGC_1035 = 657
  integer, parameter :: nGC_1036 = 658
  integer, parameter :: nGC_1037 = 659
  integer, parameter :: nGC_2708 = 660
  integer, parameter :: nGC_TS_GC_64_Hl = 661
  integer, parameter :: nGC_TS_GC_64_Hh = 662
  integer, parameter :: nGC_1324 = 663
  integer, parameter :: nGC_1325 = 664
  integer, parameter :: nGC_1326 = 665
  integer, parameter :: nGC_1327 = 666
  integer, parameter :: nGC_1320 = 667
  integer, parameter :: nGC_1321 = 668
  integer, parameter :: nGC_1322 = 669
  integer, parameter :: nGC_1323 = 670
  integer, parameter :: nGC_1328 = 671
  integer, parameter :: nGC_1329 = 672
  integer, parameter :: nGC_28 = 673
  integer, parameter :: nGC_29 = 674
  integer, parameter :: nGC_22 = 675
  integer, parameter :: nGC_23 = 676
  integer, parameter :: nGC_20 = 677
  integer, parameter :: nGC_21 = 678
  integer, parameter :: nGC_26 = 679
  integer, parameter :: nGC_27 = 680
  integer, parameter :: nGC_24 = 681
  integer, parameter :: nGC_25 = 682
  integer, parameter :: nGC_980 = 683
  integer, parameter :: nGC_981 = 684
  integer, parameter :: nGC_982 = 685
  integer, parameter :: nGC_983 = 686
  integer, parameter :: nGC_984 = 687
  integer, parameter :: nGC_985 = 688
  integer, parameter :: nGC_986 = 689
  integer, parameter :: nGC_987 = 690
  integer, parameter :: nGC_988 = 691
  integer, parameter :: nGC_989 = 692
  integer, parameter :: nGC_2741 = 693
  integer, parameter :: nGC_2211 = 694
  integer, parameter :: nGC_1470 = 695
  integer, parameter :: nGC_2585 = 696
  integer, parameter :: nGC_2584 = 697
  integer, parameter :: nGC_2587 = 698
  integer, parameter :: nGC_2583 = 699
  integer, parameter :: nGC_2582 = 700
  integer, parameter :: nGC_1607 = 701
  integer, parameter :: nGC_2589 = 702
  integer, parameter :: nGC_2588 = 703
  integer, parameter :: nGC_1605 = 704
  integer, parameter :: nGC_904 = 705
  integer, parameter :: nGC_1471 = 706
  integer, parameter :: nGC_2380 = 707
  integer, parameter :: nGC_1259 = 708
  integer, parameter :: nGC_2360 = 709
  integer, parameter :: nGC_2369 = 710
  integer, parameter :: nGC_2691 = 711
  integer, parameter :: nGC_3251 = 712
  integer, parameter :: nGC_900 = 713
  integer, parameter :: nGC_3189 = 714
  integer, parameter :: nGC_3185 = 715
  integer, parameter :: nGC_1474 = 716
  integer, parameter :: nGC_3169 = 717
  integer, parameter :: nGC_339 = 718
  integer, parameter :: nGC_TS_GC_32_Hh = 719
  integer, parameter :: nGC_333 = 720
  integer, parameter :: nGC_2962 = 721
  integer, parameter :: nGC_331 = 722
  integer, parameter :: nGC_2960 = 723
  integer, parameter :: nGC_335 = 724
  integer, parameter :: nGC_197 = 725
  integer, parameter :: nGC_196 = 726
  integer, parameter :: nGC_195 = 727
  integer, parameter :: nGC_194 = 728
  integer, parameter :: nGC_193 = 729
  integer, parameter :: nGC_192 = 730
  integer, parameter :: nGC_191 = 731
  integer, parameter :: nGC_190 = 732
  integer, parameter :: nGC_198 = 733
  integer, parameter :: nGC_427 = 734
  integer, parameter :: nGC_425 = 735
  integer, parameter :: nGC_423 = 736
  integer, parameter :: nGC_2950 = 737
  integer, parameter :: nGC_3138 = 738
  integer, parameter :: nGC_1629 = 739
  integer, parameter :: nGC_1628 = 740
  integer, parameter :: nGC_609 = 741
  integer, parameter :: nGC_1625 = 742
  integer, parameter :: nGC_1624 = 743
  integer, parameter :: nGC_1627 = 744
  integer, parameter :: nGC_1626 = 745
  integer, parameter :: nGC_1621 = 746
  integer, parameter :: nGC_1620 = 747
  integer, parameter :: nGC_601 = 748
  integer, parameter :: nGC_1622 = 749
  integer, parameter :: nGC_2958 = 750
  integer, parameter :: nGC_1489 = 751
  integer, parameter :: nGC_1488 = 752
  integer, parameter :: nGC_106 = 753
  integer, parameter :: nGC_1481 = 754
  integer, parameter :: nGC_1480 = 755
  integer, parameter :: nGC_1483 = 756
  integer, parameter :: nGC_1482 = 757
  integer, parameter :: nGC_1485 = 758
  integer, parameter :: nGC_1487 = 759
  integer, parameter :: nGC_1486 = 760
  integer, parameter :: nGC_1139 = 761
  integer, parameter :: nGC_1138 = 762
  integer, parameter :: nGC_1131 = 763
  integer, parameter :: nGC_1130 = 764
  integer, parameter :: nGC_1133 = 765
  integer, parameter :: nGC_1132 = 766
  integer, parameter :: nGC_1135 = 767
  integer, parameter :: nGC_1134 = 768
  integer, parameter :: nGC_1137 = 769
  integer, parameter :: nGC_1136 = 770
  integer, parameter :: nGC_2744 = 771
  integer, parameter :: nGC_1557 = 772
  integer, parameter :: nGC_1004 = 773
  integer, parameter :: nGC_1007 = 774
  integer, parameter :: nGC_1554 = 775
  integer, parameter :: nGC_1553 = 776
  integer, parameter :: nGC_1552 = 777
  integer, parameter :: nGC_1551 = 778
  integer, parameter :: nGC_1550 = 779
  integer, parameter :: nGC_1009 = 780
  integer, parameter :: nGC_1008 = 781
  integer, parameter :: nGC_1559 = 782
  integer, parameter :: nGC_1558 = 783
  integer, parameter :: nGC_1504 = 784
  integer, parameter :: nGC_2707 = 785
  integer, parameter :: nGC_TS_GC_91_Hl = 786
  integer, parameter :: nGC_872 = 787
  integer, parameter :: nGC_1311 = 788
  integer, parameter :: nGC_1310 = 789
  integer, parameter :: nGC_1313 = 790
  integer, parameter :: nGC_1312 = 791
  integer, parameter :: nGC_1315 = 792
  integer, parameter :: nGC_1314 = 793
  integer, parameter :: nGC_1317 = 794
  integer, parameter :: nGC_1316 = 795
  integer, parameter :: nGC_1319 = 796
  integer, parameter :: nGC_1318 = 797
  integer, parameter :: nGC_17 = 798
  integer, parameter :: nGC_16 = 799
  integer, parameter :: nGC_15 = 800
  integer, parameter :: nGC_14 = 801
  integer, parameter :: nGC_13 = 802
  integer, parameter :: nGC_12 = 803
  integer, parameter :: nGC_11 = 804
  integer, parameter :: nGC_10 = 805
  integer, parameter :: nGC_19 = 806
  integer, parameter :: nGC_18 = 807
  integer, parameter :: nGC_1114 = 808
  integer, parameter :: nGC_999 = 809
  integer, parameter :: nGC_998 = 810
  integer, parameter :: nGC_997 = 811
  integer, parameter :: nGC_996 = 812
  integer, parameter :: nGC_995 = 813
  integer, parameter :: nGC_994 = 814
  integer, parameter :: nGC_993 = 815
  integer, parameter :: nGC_992 = 816
  integer, parameter :: nGC_991 = 817
  integer, parameter :: nGC_990 = 818
  integer, parameter :: nGC_2751 = 819
  integer, parameter :: nGC_2752 = 820
  integer, parameter :: nGC_2592 = 821
  integer, parameter :: nGC_2593 = 822
  integer, parameter :: nGC_2590 = 823
  integer, parameter :: nGC_2591 = 824
  integer, parameter :: nGC_2596 = 825
  integer, parameter :: nGC_2597 = 826
  integer, parameter :: nGC_2594 = 827
  integer, parameter :: nGC_2595 = 828
  integer, parameter :: nGC_2598 = 829
  integer, parameter :: nGC_2599 = 830
  integer, parameter :: nGC_1556 = 831
  integer, parameter :: nGC_2378 = 832
  integer, parameter :: nGC_2379 = 833
  integer, parameter :: nGC_2376 = 834
  integer, parameter :: nGC_2374 = 835
  integer, parameter :: nGC_2373 = 836
  integer, parameter :: nGC_2370 = 837
  integer, parameter :: nGC_3066 = 838
  integer, parameter :: nGC_2688 = 839
  integer, parameter :: nGC_2684 = 840
  integer, parameter :: nGC_2757 = 841
  integer, parameter :: nGC_2683 = 842
  integer, parameter :: nGC_2681 = 843
  integer, parameter :: nGC_377 = 844
  integer, parameter :: nGC_375 = 845
  integer, parameter :: nGC_373 = 846
  integer, parameter :: nGC_2979 = 847
  integer, parameter :: nGC_1598 = 848
  integer, parameter :: nGC_371 = 849
  integer, parameter :: nGC_2971 = 850
  integer, parameter :: nGC_2973 = 851
  integer, parameter :: nGC_2975 = 852
  integer, parameter :: nGC_2977 = 853
  integer, parameter :: nGC_3082 = 854
  integer, parameter :: nGC_3080 = 855
  integer, parameter :: nGC_3087 = 856
  integer, parameter :: nGC_3084 = 857
  integer, parameter :: nGC_3088 = 858
  integer, parameter :: nGC_379 = 859
  integer, parameter :: nGC_1638 = 860
  integer, parameter :: nGC_1639 = 861
  integer, parameter :: nGC_1632 = 862
  integer, parameter :: nGC_1633 = 863
  integer, parameter :: nGC_TS_GC_25_Hh = 864
  integer, parameter :: nGC_1631 = 865
  integer, parameter :: nGC_1636 = 866
  integer, parameter :: nGC_1637 = 867
  integer, parameter :: nGC_TS_GC_25_Hl = 868
  integer, parameter :: nGC_1635 = 869
  integer, parameter :: nGC_1342 = 870
  integer, parameter :: nGC_1435 = 871
  integer, parameter :: nGC_1340 = 872
  integer, parameter :: nGC_1347 = 873
  integer, parameter :: nGC_1124 = 874
  integer, parameter :: nGC_1125 = 875
  integer, parameter :: nGC_1122 = 876
  integer, parameter :: nGC_1432 = 877
  integer, parameter :: nGC_1120 = 878
  integer, parameter :: nGC_1121 = 879
  integer, parameter :: nGC_TS_GC_192_Hl = 880
  integer, parameter :: nGC_1129 = 881
  integer, parameter :: nGC_TS_GC_99_Hl = 882
  integer, parameter :: nGC_TS_GC_99_Hh = 883
  integer, parameter :: nGC_1088 = 884
  integer, parameter :: nGC_1544 = 885
  integer, parameter :: nGC_1545 = 886
  integer, parameter :: nGC_1546 = 887
  integer, parameter :: nGC_1011 = 888
  integer, parameter :: nGC_1540 = 889
  integer, parameter :: nGC_1017 = 890
  integer, parameter :: nGC_1542 = 891
  integer, parameter :: nGC_1543 = 892
  integer, parameter :: nGC_1018 = 893
  integer, parameter :: nGC_1548 = 894
  integer, parameter :: nGC_1549 = 895
  integer, parameter :: nGC_1496 = 896
  integer, parameter :: nGC_1497 = 897
  integer, parameter :: nGC_1494 = 898
  integer, parameter :: nGC_1495 = 899
  integer, parameter :: nGC_1492 = 900
  integer, parameter :: nGC_1493 = 901
  integer, parameter :: nGC_1490 = 902
  integer, parameter :: nGC_1491 = 903
  integer, parameter :: nGC_1498 = 904
  integer, parameter :: nGC_1499 = 905
  integer, parameter :: nGC_858 = 906
  integer, parameter :: nGC_859 = 907
  integer, parameter :: nGC_856 = 908
  integer, parameter :: nGC_857 = 909
  integer, parameter :: nGC_854 = 910
  integer, parameter :: nGC_855 = 911
  integer, parameter :: nGC_853 = 912
  integer, parameter :: nGC_1308 = 913
  integer, parameter :: nGC_1309 = 914
  integer, parameter :: nGC_1306 = 915
  integer, parameter :: nGC_1307 = 916
  integer, parameter :: nGC_TS_GC_65_Hl = 917
  integer, parameter :: nGC_1305 = 918
  integer, parameter :: nGC_1302 = 919
  integer, parameter :: nGC_1303 = 920
  integer, parameter :: nGC_1300 = 921
  integer, parameter :: nGC_1301 = 922
  integer, parameter :: nGC_337 = 923
  integer, parameter :: nGC_1216 = 924
  integer, parameter :: nGC_TS_GC_28_Hl = 925
  integer, parameter :: nGC_1603 = 926
  integer, parameter :: nGC_2769 = 927
  integer, parameter :: nGC_2765 = 928
  integer, parameter :: nGC_2764 = 929
  integer, parameter :: nGC_2767 = 930
  integer, parameter :: nGC_2763 = 931
  integer, parameter :: nGC_2377 = 932
  integer, parameter :: nGC_TS_GC_33_Hh = 933
  integer, parameter :: nGC_2308 = 934
  integer, parameter :: nGC_2303 = 935
  integer, parameter :: nGC_2302 = 936
  integer, parameter :: nGC_2301 = 937
  integer, parameter :: nGC_2307 = 938
  integer, parameter :: nGC_2306 = 939
  integer, parameter :: nGC_2304 = 940
  integer, parameter :: nGC_2945 = 941
  integer, parameter :: nGC_2944 = 942
  integer, parameter :: nGC_2414 = 943
  integer, parameter :: nGC_2413 = 944
  integer, parameter :: nGC_2412 = 945
  integer, parameter :: nGC_2949 = 946
  integer, parameter :: nGC_2948 = 947
  integer, parameter :: nGC_2786 = 948
  integer, parameter :: nGC_2784 = 949
  integer, parameter :: nGC_2781 = 950
  integer, parameter :: nGC_2780 = 951
  integer, parameter :: nGC_3093 = 952
  integer, parameter :: nGC_889 = 953
  integer, parameter :: nGC_2652 = 954
  integer, parameter :: nGC_888 = 955
  integer, parameter :: nGC_1339 = 956
  integer, parameter :: nGC_1338 = 957
  integer, parameter :: nGC_1153 = 958
  integer, parameter :: nGC_1152 = 959
  integer, parameter :: nGC_1151 = 960
  integer, parameter :: nGC_1150 = 961
  integer, parameter :: nGC_1157 = 962
  integer, parameter :: nGC_1156 = 963
  integer, parameter :: nGC_1155 = 964
  integer, parameter :: nGC_1154 = 965
  integer, parameter :: nGC_1159 = 966
  integer, parameter :: nGC_1158 = 967
  integer, parameter :: nGC_2983 = 968
  integer, parameter :: nGC_1571 = 969
  integer, parameter :: nGC_1570 = 970
  integer, parameter :: nGC_1573 = 971
  integer, parameter :: nGC_1572 = 972
  integer, parameter :: nGC_1575 = 973
  integer, parameter :: nGC_1574 = 974
  integer, parameter :: nGC_1577 = 975
  integer, parameter :: nGC_1579 = 976
  integer, parameter :: nGC_1578 = 977
  integer, parameter :: nGC_MW_GF = 978
  integer, parameter :: nGC_2641 = 979
  integer, parameter :: nGC_121 = 980
  integer, parameter :: nGC_1378 = 981
  integer, parameter :: nGC_1373 = 982
  integer, parameter :: nGC_1372 = 983
  integer, parameter :: nGC_1371 = 984
  integer, parameter :: nGC_1370 = 985
  integer, parameter :: nGC_1377 = 986
  integer, parameter :: nGC_1376 = 987
  integer, parameter :: nGC_1375 = 988
  integer, parameter :: nGC_1374 = 989
  integer, parameter :: nGC_1445 = 990
  integer, parameter :: nGC_1444 = 991
  integer, parameter :: nGC_1447 = 992
  integer, parameter :: nGC_1446 = 993
  integer, parameter :: nGC_1441 = 994
  integer, parameter :: nGC_1440 = 995
  integer, parameter :: nGC_1207 = 996
  integer, parameter :: nGC_1206 = 997
  integer, parameter :: nGC_1205 = 998
  integer, parameter :: nGC_1204 = 999
  integer, parameter :: nGC_1203 = 1000
  integer, parameter :: nGC_1443 = 1001
  integer, parameter :: nGC_1201 = 1002
  integer, parameter :: nGC_1200 = 1003
  integer, parameter :: nGC_1442 = 1004
  integer, parameter :: nGC_1209 = 1005
  integer, parameter :: nGC_1208 = 1006
  integer, parameter :: nGC_2967 = 1007
  integer, parameter :: nGC_2777 = 1008
  integer, parameter :: nGC_2775 = 1009
  integer, parameter :: nGC_3228 = 1010
  integer, parameter :: nGC_3227 = 1011
  integer, parameter :: nGC_3226 = 1012
  integer, parameter :: nGC_3225 = 1013
  integer, parameter :: nGC_3224 = 1014
  integer, parameter :: nGC_3223 = 1015
  integer, parameter :: nGC_3221 = 1016
  integer, parameter :: nGC_3220 = 1017
  integer, parameter :: nGC_2318 = 1018
  integer, parameter :: nGC_1202 = 1019
  integer, parameter :: nGC_2313 = 1020
  integer, parameter :: nGC_2314 = 1021
  integer, parameter :: nGC_2315 = 1022
  integer, parameter :: nGC_2317 = 1023
  integer, parameter :: nGC_1623 = 1024
  integer, parameter :: nGC_2404 = 1025
  integer, parameter :: nGC_2405 = 1026
  integer, parameter :: nGC_3139 = 1027
  integer, parameter :: nGC_2407 = 1028
  integer, parameter :: nGC_2401 = 1029
  integer, parameter :: nGC_2402 = 1030
  integer, parameter :: nGC_2403 = 1031
  integer, parameter :: nGC_2408 = 1032
  integer, parameter :: nGC_3134 = 1033
  integer, parameter :: nGC_2795 = 1034
  integer, parameter :: nGC_2797 = 1035
  integer, parameter :: nGC_2790 = 1036
  integer, parameter :: nGC_2798 = 1037
  integer, parameter :: nGC_389 = 1038
  integer, parameter :: nGC_383 = 1039
  integer, parameter :: nGC_387 = 1040
  integer, parameter :: nGC_385 = 1041
  integer, parameter :: nGC_3046 = 1042
  integer, parameter :: nGC_3045 = 1043
  integer, parameter :: nGC_3041 = 1044
  integer, parameter :: nGC_1363 = 1045
  integer, parameter :: nGC_MZ_GF = 1046
  integer, parameter :: nGC_1140 = 1047
  integer, parameter :: nGC_1141 = 1048
  integer, parameter :: nGC_1142 = 1049
  integer, parameter :: nGC_1143 = 1050
  integer, parameter :: nGC_1144 = 1051
  integer, parameter :: nGC_1145 = 1052
  integer, parameter :: nGC_1146 = 1053
  integer, parameter :: nGC_1147 = 1054
  integer, parameter :: nGC_1148 = 1055
  integer, parameter :: nGC_1149 = 1056
  integer, parameter :: nGC_126 = 1057
  integer, parameter :: nGC_127 = 1058
  integer, parameter :: nGC_124 = 1059
  integer, parameter :: nGC_125 = 1060
  integer, parameter :: nGC_122 = 1061
  integer, parameter :: nGC_120 = 1062
  integer, parameter :: nGC_128 = 1063
  integer, parameter :: nGC_129 = 1064
  integer, parameter :: nGC_TS_GC_180_Hh = 1065
  integer, parameter :: nGC_1568 = 1066
  integer, parameter :: nGC_1569 = 1067
  integer, parameter :: nGC_1566 = 1068
  integer, parameter :: nGC_1567 = 1069
  integer, parameter :: nGC_1564 = 1070
  integer, parameter :: nGC_1565 = 1071
  integer, parameter :: nGC_1562 = 1072
  integer, parameter :: nGC_1563 = 1073
  integer, parameter :: nGC_1560 = 1074
  integer, parameter :: nGC_1561 = 1075
  integer, parameter :: nGC_TS_GC_16_Hh = 1076
  integer, parameter :: nGC_TS_GC_16_Hl = 1077
  integer, parameter :: nGC_878 = 1078
  integer, parameter :: nGC_879 = 1079
  integer, parameter :: nGC_870 = 1080
  integer, parameter :: nGC_871 = 1081
  integer, parameter :: nGC_I = 1082
  integer, parameter :: nGC_873 = 1083
  integer, parameter :: nGC_874 = 1084
  integer, parameter :: nGC_875 = 1085
  integer, parameter :: nGC_876 = 1086
  integer, parameter :: nGC_1368 = 1087
  integer, parameter :: nGC_1369 = 1088
  integer, parameter :: nGC_1360 = 1089
  integer, parameter :: nGC_1361 = 1090
  integer, parameter :: nGC_1362 = 1091
  integer, parameter :: nGC_1364 = 1092
  integer, parameter :: nGC_1365 = 1093
  integer, parameter :: nGC_1366 = 1094
  integer, parameter :: nGC_1367 = 1095
  integer, parameter :: nGC_2406 = 1096
  integer, parameter :: nGC_877 = 1097
  integer, parameter :: nGC_TS_GC_129_Hh = 1098
  integer, parameter :: nGC_1630 = 1099
  integer, parameter :: nGC_1634 = 1100
  integer, parameter :: nGC_3 = 1101
  integer, parameter :: nGC_2 = 1102
  integer, parameter :: nGC_1 = 1103
  integer, parameter :: nGC_1217 = 1104
  integer, parameter :: nGC_7 = 1105
  integer, parameter :: nGC_1211 = 1106
  integer, parameter :: nGC_5 = 1107
  integer, parameter :: nGC_4 = 1108
  integer, parameter :: nGC_9 = 1109
  integer, parameter :: nGC_8 = 1110
  integer, parameter :: nGC_1218 = 1111
  integer, parameter :: nGC_1219 = 1112
  integer, parameter :: nGC_TS_GC_106_Hh = 1113
  integer, parameter :: nGC_TS_GC_34_Hh = 1114
  integer, parameter :: nGC_2091 = 1115
  integer, parameter :: nGC_TS_GC_106_Hl = 1116
  integer, parameter :: nGC_2893 = 1117
  integer, parameter :: nGC_2324 = 1118
  integer, parameter :: nGC_2891 = 1119
  integer, parameter :: nGC_2890 = 1120
  integer, parameter :: nGC_2897 = 1121
  integer, parameter :: nGC_3239 = 1122
  integer, parameter :: nGC_2322 = 1123
  integer, parameter :: nGC_3235 = 1124
  integer, parameter :: nGC_2329 = 1125
  integer, parameter :: nGC_2328 = 1126
  integer, parameter :: nGC_3232 = 1127
  integer, parameter :: nGC_3233 = 1128
  integer, parameter :: nGC_1387 = 1129
  integer, parameter :: nGC_2354 = 1130
  integer, parameter :: nGC_2355 = 1131
  integer, parameter :: nGC_2356 = 1132
  integer, parameter :: nGC_2357 = 1133
  integer, parameter :: nGC_2350 = 1134
  integer, parameter :: nGC_2351 = 1135
  integer, parameter :: nGC_2352 = 1136
  integer, parameter :: nGC_TS_GC_36_Hh = 1137
  integer, parameter :: nGC_2353 = 1138
  integer, parameter :: nGC_TS_GC_36_Hl = 1139
  integer, parameter :: nGC_2431 = 1140
  integer, parameter :: nGC_2432 = 1141
  integer, parameter :: nGC_2435 = 1142
  integer, parameter :: nGC_2434 = 1143
  integer, parameter :: nGC_2437 = 1144
  integer, parameter :: nGC_2436 = 1145
  integer, parameter :: nGC_3123 = 1146
  integer, parameter :: nGC_3126 = 1147
  integer, parameter :: nGC_2982 = 1148
  integer, parameter :: nGC_1433 = 1149
  integer, parameter :: nGC_2985 = 1150
  integer, parameter :: nGC_2984 = 1151
  integer, parameter :: nGC_2986 = 1152
  integer, parameter :: nGC_399 = 1153
  integer, parameter :: nGC_391 = 1154
  integer, parameter :: nGC_393 = 1155
  integer, parameter :: nGC_397 = 1156
  integer, parameter :: nGC_3051 = 1157
  integer, parameter :: nGC_3052 = 1158
  integer, parameter :: nGC_3058 = 1159
  integer, parameter :: nGC_3059 = 1160
  integer, parameter :: nGC_TS_GC_40_Hl = 1161
  integer, parameter :: nGC_TS_GC_120_Hl = 1162
  integer, parameter :: nGC_1126 = 1163
  integer, parameter :: nGC_2215 = 1164
  integer, parameter :: nGC_1127 = 1165
  integer, parameter :: nGC_1123 = 1166
  integer, parameter :: nGC_1085 = 1167
  integer, parameter :: nGC_1214 = 1168
  integer, parameter :: nGC_1086 = 1169
  integer, parameter :: nGC_1179 = 1170
  integer, parameter :: nGC_1178 = 1171
  integer, parameter :: nGC_1215 = 1172
  integer, parameter :: nGC_1175 = 1173
  integer, parameter :: nGC_1174 = 1174
  integer, parameter :: nGC_1177 = 1175
  integer, parameter :: nGC_1176 = 1176
  integer, parameter :: nGC_1171 = 1177
  integer, parameter :: nGC_1170 = 1178
  integer, parameter :: nGC_1173 = 1179
  integer, parameter :: nGC_1172 = 1180
  integer, parameter :: nGC_1778 = 1181
  integer, parameter :: nGC_1210 = 1182
  integer, parameter :: nGC_1947 = 1183
  integer, parameter :: nGC_1772 = 1184
  integer, parameter :: nGC_6 = 1185
  integer, parameter :: nGC_1212 = 1186
  integer, parameter :: nGC_1213 = 1187
  integer, parameter :: nGC_643 = 1188
  integer, parameter :: nGC_134 = 1189
  integer, parameter :: nGC_136 = 1190
  integer, parameter :: nGC_647 = 1191
  integer, parameter :: nGC_130 = 1192
  integer, parameter :: nGC_645 = 1193
  integer, parameter :: nGC_132 = 1194
  integer, parameter :: nGC_649 = 1195
  integer, parameter :: nGC_139 = 1196
  integer, parameter :: nGC_138 = 1197
  integer, parameter :: nGC_1519 = 1198
  integer, parameter :: nGC_1518 = 1199
  integer, parameter :: nGC_1513 = 1200
  integer, parameter :: nGC_1512 = 1201
  integer, parameter :: nGC_1511 = 1202
  integer, parameter :: nGC_1510 = 1203
  integer, parameter :: nGC_1517 = 1204
  integer, parameter :: nGC_1516 = 1205
  integer, parameter :: nGC_1515 = 1206
  integer, parameter :: nGC_1514 = 1207
  integer, parameter :: nGC_1689 = 1208
  integer, parameter :: nGC_1688 = 1209
  integer, parameter :: nGC_1680 = 1210
  integer, parameter :: nGC_1687 = 1211
  integer, parameter :: nGC_1686 = 1212
  integer, parameter :: nGC_1601 = 1213
  integer, parameter :: nGC_1684 = 1214
  integer, parameter :: nGC_1344 = 1215
  integer, parameter :: nGC_1999 = 1216
  integer, parameter :: nGC_1998 = 1217
  integer, parameter :: nGC_1997 = 1218
  integer, parameter :: nGC_1996 = 1219
  integer, parameter :: nGC_1995 = 1220
  integer, parameter :: nGC_1994 = 1221
  integer, parameter :: nGC_1993 = 1222
  integer, parameter :: nGC_1992 = 1223
  integer, parameter :: nGC_1991 = 1224
  integer, parameter :: nGC_1379 = 1225
  integer, parameter :: nGC_867 = 1226
  integer, parameter :: nGC_866 = 1227
  integer, parameter :: nGC_865 = 1228
  integer, parameter :: nGC_864 = 1229
  integer, parameter :: nGC_863 = 1230
  integer, parameter :: nGC_862 = 1231
  integer, parameter :: nGC_861 = 1232
  integer, parameter :: nGC_860 = 1233
  integer, parameter :: nGC_869 = 1234
  integer, parameter :: nGC_868 = 1235
  integer, parameter :: nGC_1427 = 1236
  integer, parameter :: nGC_1426 = 1237
  integer, parameter :: nGC_1425 = 1238
  integer, parameter :: nGC_1424 = 1239
  integer, parameter :: nGC_1423 = 1240
  integer, parameter :: nGC_1422 = 1241
  integer, parameter :: nGC_1353 = 1242
  integer, parameter :: nGC_1352 = 1243
  integer, parameter :: nGC_1359 = 1244
  integer, parameter :: nGC_1358 = 1245
  integer, parameter :: nGC_1429 = 1246
  integer, parameter :: nGC_1428 = 1247
  integer, parameter :: nGC_1197 = 1248
  integer, parameter :: nGC_1196 = 1249
  integer, parameter :: nGC_1388 = 1250
  integer, parameter :: nGC_1194 = 1251
  integer, parameter :: nGC_1193 = 1252
  integer, parameter :: nGC_1192 = 1253
  integer, parameter :: nGC_1191 = 1254
  integer, parameter :: nGC_1190 = 1255
  integer, parameter :: nGC_1199 = 1256
  integer, parameter :: nGC_1198 = 1257
  integer, parameter :: nGC_TS_GC_195_Hh = 1258
  integer, parameter :: nGC_1389 = 1259
  integer, parameter :: nGC_1221 = 1260
  integer, parameter :: nGC_1220 = 1261
  integer, parameter :: nGC_1223 = 1262
  integer, parameter :: nGC_1222 = 1263
  integer, parameter :: nGC_1225 = 1264
  integer, parameter :: nGC_1224 = 1265
  integer, parameter :: nGC_1227 = 1266
  integer, parameter :: nGC_1226 = 1267
  integer, parameter :: nGC_1229 = 1268
  integer, parameter :: nGC_1228 = 1269
  integer, parameter :: nGC_1990 = 1270
  integer, parameter :: nGC_325 = 1271
  integer, parameter :: nGC_2153 = 1272
  integer, parameter :: nGC_2154 = 1273
  integer, parameter :: nGC_2333 = 1274
  integer, parameter :: nGC_2330 = 1275
  integer, parameter :: nGC_2331 = 1276
  integer, parameter :: nGC_2336 = 1277
  integer, parameter :: nGC_2337 = 1278
  integer, parameter :: nGC_2334 = 1279
  integer, parameter :: nGC_2335 = 1280
  integer, parameter :: nGC_2888 = 1281
  integer, parameter :: nGC_3205 = 1282
  integer, parameter :: nGC_3204 = 1283
  integer, parameter :: nGC_3207 = 1284
  integer, parameter :: nGC_3206 = 1285
  integer, parameter :: nGC_323 = 1286
  integer, parameter :: nGC_2090 = 1287
  integer, parameter :: nGC_TS_GC_15_Hh = 1288
  integer, parameter :: nGC_TS_GC_153_Hl = 1289
  integer, parameter :: nGC_3115 = 1290
  integer, parameter :: nGC_3114 = 1291
  integer, parameter :: nGC_3117 = 1292
  integer, parameter :: nGC_3116 = 1293
  integer, parameter :: nGC_3111 = 1294
  integer, parameter :: nGC_3113 = 1295
  integer, parameter :: nGC_3112 = 1296
  integer, parameter :: nGC_3119 = 1297
  integer, parameter :: nGC_2428 = 1298
  integer, parameter :: nGC_2426 = 1299
  integer, parameter :: nGC_2427 = 1300
  integer, parameter :: nGC_2424 = 1301
  integer, parameter :: nGC_2425 = 1302
  integer, parameter :: nGC_2422 = 1303
  integer, parameter :: nGC_2423 = 1304
  integer, parameter :: nGC_2420 = 1305
  integer, parameter :: nGC_2421 = 1306
  integer, parameter :: nGC_1012 = 1307
  integer, parameter :: nGC_1013 = 1308
  integer, parameter :: nGC_1010 = 1309
  integer, parameter :: nGC_TS_GC_145_Hl = 1310
  integer, parameter :: nGC_1547 = 1311
  integer, parameter :: nGC_1421 = 1312
  integer, parameter :: nGC_1016 = 1313
  integer, parameter :: nGC_1541 = 1314
  integer, parameter :: nGC_1014 = 1315
  integer, parameter :: nGC_1015 = 1316
  integer, parameter :: nGC_3061 = 1317
  integer, parameter :: nGC_1463 = 1318
  integer, parameter :: nGC_3063 = 1319
  integer, parameter :: nGC_3062 = 1320
  integer, parameter :: nGC_3065 = 1321
  integer, parameter :: nGC_3064 = 1322
  integer, parameter :: nGC_3067 = 1323
  integer, parameter :: nGC_1462 = 1324
  integer, parameter :: nGC_3069 = 1325
  integer, parameter :: nGC_3068 = 1326
  integer, parameter :: nGC_1461 = 1327
  integer, parameter :: nGC_1019 = 1328
  integer, parameter :: nGC_1467 = 1329
  integer, parameter :: nGC_1466 = 1330
  integer, parameter :: nGC_1465 = 1331
  integer, parameter :: nGC_1464 = 1332
  integer, parameter :: nGC_1460 = 1333
  integer, parameter :: nGC_1904 = 1334
  integer, parameter :: nGC_2325 = 1335
  integer, parameter :: nGC_2951 = 1336
  integer, parameter :: nGC_1169 = 1337
  integer, parameter :: nGC_2892 = 1338
  integer, parameter :: nGC_1162 = 1339
  integer, parameter :: nGC_1163 = 1340
  integer, parameter :: nGC_1160 = 1341
  integer, parameter :: nGC_1161 = 1342
  integer, parameter :: nGC_1166 = 1343
  integer, parameter :: nGC_1167 = 1344
  integer, parameter :: nGC_1164 = 1345
  integer, parameter :: nGC_1165 = 1346
  integer, parameter :: nGC_2326 = 1347
  integer, parameter :: nGC_1764 = 1348
  integer, parameter :: nGC_2896 = 1349
  integer, parameter :: nGC_2323 = 1350
  integer, parameter :: nGC_100 = 1351
  integer, parameter :: nGC_101 = 1352
  integer, parameter :: nGC_102 = 1353
  integer, parameter :: nGC_103 = 1354
  integer, parameter :: nGC_104 = 1355
  integer, parameter :: nGC_105 = 1356
  integer, parameter :: nGC_1555 = 1357
  integer, parameter :: nGC_107 = 1358
  integer, parameter :: nGC_108 = 1359
  integer, parameter :: nGC_109 = 1360
  integer, parameter :: nGC_3237 = 1361
  integer, parameter :: nGC_3230 = 1362
  integer, parameter :: nGC_3231 = 1363
  integer, parameter :: nGC_1508 = 1364
  integer, parameter :: nGC_1509 = 1365
  integer, parameter :: nGC_1500 = 1366
  integer, parameter :: nGC_1501 = 1367
  integer, parameter :: nGC_1502 = 1368
  integer, parameter :: nGC_1503 = 1369
  integer, parameter :: nGC_2954 = 1370
  integer, parameter :: nGC_1505 = 1371
  integer, parameter :: nGC_1506 = 1372
  integer, parameter :: nGC_1507 = 1373
  integer, parameter :: nGC_1698 = 1374
  integer, parameter :: nGC_1699 = 1375
  integer, parameter :: nGC_1690 = 1376
  integer, parameter :: nGC_1691 = 1377
  integer, parameter :: nGC_1692 = 1378
  integer, parameter :: nGC_1693 = 1379
  integer, parameter :: nGC_1694 = 1380
  integer, parameter :: nGC_1695 = 1381
  integer, parameter :: nGC_1696 = 1382
  integer, parameter :: nGC_1697 = 1383
  integer, parameter :: nGC_1988 = 1384
  integer, parameter :: nGC_1989 = 1385
  integer, parameter :: nGC_1984 = 1386
  integer, parameter :: nGC_1985 = 1387
  integer, parameter :: nGC_1987 = 1388
  integer, parameter :: nGC_1980 = 1389
  integer, parameter :: nGC_1982 = 1390
  integer, parameter :: nGC_1434 = 1391
  integer, parameter :: nGC_1343 = 1392
  integer, parameter :: nGC_1436 = 1393
  integer, parameter :: nGC_1437 = 1394
  integer, parameter :: nGC_1430 = 1395
  integer, parameter :: nGC_1431 = 1396
  integer, parameter :: nGC_1902 = 1397
  integer, parameter :: nGC_1345 = 1398
  integer, parameter :: nGC_1348 = 1399
  integer, parameter :: nGC_1349 = 1400
  integer, parameter :: nGC_1438 = 1401
  integer, parameter :: nGC_1439 = 1402
  integer, parameter :: nGC_1184 = 1403
  integer, parameter :: nGC_1185 = 1404
  integer, parameter :: nGC_1186 = 1405
  integer, parameter :: nGC_1187 = 1406
  integer, parameter :: nGC_1180 = 1407
  integer, parameter :: nGC_1181 = 1408
  integer, parameter :: nGC_1182 = 1409
  integer, parameter :: nGC_1183 = 1410
  integer, parameter :: nGC_910 = 1411
  integer, parameter :: nGC_1188 = 1412
  integer, parameter :: nGC_1189 = 1413
  integer, parameter :: nGC_2711 = 1414
  integer, parameter :: nGC_2712 = 1415
  integer, parameter :: nGC_1675 = 1416
  integer, parameter :: nGC_2713 = 1417
  integer, parameter :: nGC_TS_GC_105_Hh = 1418
  integer, parameter :: nGC_TS_GC_165_Hh = 1419
  integer, parameter :: nGC_1128 = 1420
  integer, parameter :: nGC_928 = 1421
  integer, parameter :: nGC_929 = 1422
  integer, parameter :: nGC_926 = 1423
  integer, parameter :: nGC_927 = 1424
  integer, parameter :: nGC_924 = 1425
  integer, parameter :: nGC_925 = 1426
  integer, parameter :: nGC_922 = 1427
  integer, parameter :: nGC_923 = 1428
  integer, parameter :: nGC_920 = 1429
  integer, parameter :: nGC_921 = 1430
  integer, parameter :: nGC_1238 = 1431
  integer, parameter :: nGC_1239 = 1432
  integer, parameter :: nGC_1236 = 1433
  integer, parameter :: nGC_1237 = 1434
  integer, parameter :: nGC_1234 = 1435
  integer, parameter :: nGC_1235 = 1436
  integer, parameter :: nGC_1232 = 1437
  integer, parameter :: nGC_1233 = 1438
  integer, parameter :: nGC_1230 = 1439
  integer, parameter :: nGC_1231 = 1440
  integer, parameter :: nGC_1266 = 1441
  integer, parameter :: nGC_1611 = 1442
  integer, parameter :: nGC_1613 = 1443
  integer, parameter :: nGC_1615 = 1444
  integer, parameter :: nGC_1617 = 1445
  integer, parameter :: nGC_1619 = 1446
  integer, parameter :: nGC_2185 = 1447
  integer, parameter :: nGC_2186 = 1448
  integer, parameter :: nGC_2189 = 1449
  integer, parameter :: nGC_2635 = 1450
  integer, parameter :: nGC_2632 = 1451
  integer, parameter :: nGC_2631 = 1452
  integer, parameter :: nGC_1304 = 1453
  integer, parameter :: nGC_3100 = 1454
  integer, parameter :: nGC_3108 = 1455
  integer, parameter :: nGC_2639 = 1456
  integer, parameter :: nGC_2988 = 1457
  integer, parameter :: nGC_2459 = 1458
  integer, parameter :: nGC_2458 = 1459
  integer, parameter :: nGC_2453 = 1460
  integer, parameter :: nGC_2452 = 1461
  integer, parameter :: nGC_2451 = 1462
  integer, parameter :: nGC_2450 = 1463
  integer, parameter :: nGC_2457 = 1464
  integer, parameter :: nGC_2456 = 1465
  integer, parameter :: nGC_2455 = 1466
  integer, parameter :: nGC_2454 = 1467
  integer, parameter :: nGC_TS_GC_35_Hl = 1468
  integer, parameter :: nGC_3217 = 1469
  integer, parameter :: nGC_3214 = 1470
  integer, parameter :: nGC_3215 = 1471
  integer, parameter :: nGC_3212 = 1472
  integer, parameter :: nGC_3213 = 1473
  integer, parameter :: nGC_3211 = 1474
  integer, parameter :: nGC_3219 = 1475
  integer, parameter :: nGC_2637 = 1476
  integer, parameter :: nGC_3079 = 1477
  integer, parameter :: nGC_3076 = 1478
  integer, parameter :: nGC_3074 = 1479
  integer, parameter :: nGC_3075 = 1480
  integer, parameter :: nGC_3072 = 1481
  integer, parameter :: nGC_3073 = 1482
  integer, parameter :: nGC_3070 = 1483
  integer, parameter :: nGC_3071 = 1484
  integer, parameter :: nGC_2857 = 1485
  integer, parameter :: nGC_2856 = 1486
  integer, parameter :: nGC_2854 = 1487
  integer, parameter :: nGC_2853 = 1488
  integer, parameter :: nGC_2850 = 1489
  integer, parameter :: nGC_2859 = 1490
  integer, parameter :: nGC_2858 = 1491
  integer, parameter :: nGC_TS_GC_177_Hl = 1492
  integer, parameter :: nGC_2439 = 1493
  integer, parameter :: nGC_2438 = 1494
  integer, parameter :: nGC_1390 = 1495
  integer, parameter :: nGC_1679 = 1496
  integer, parameter :: nGC_TS_GC_24_Hl = 1497
  integer, parameter :: nGC_1751 = 1498
  integer, parameter :: nGC_1750 = 1499
  integer, parameter :: nGC_1753 = 1500
  integer, parameter :: nGC_1752 = 1501
  integer, parameter :: nGC_3209 = 1502
  integer, parameter :: nGC_119 = 1503
  integer, parameter :: nGC_118 = 1504
  integer, parameter :: nGC_117 = 1505
  integer, parameter :: nGC_116 = 1506
  integer, parameter :: nGC_115 = 1507
  integer, parameter :: nGC_114 = 1508
  integer, parameter :: nGC_113 = 1509
  integer, parameter :: nGC_112 = 1510
  integer, parameter :: nGC_111 = 1511
  integer, parameter :: nGC_110 = 1512
  integer, parameter :: nGC_1928 = 1513
  integer, parameter :: nGC_1929 = 1514
  integer, parameter :: nGC_1926 = 1515
  integer, parameter :: nGC_1927 = 1516
  integer, parameter :: nGC_1924 = 1517
  integer, parameter :: nGC_1925 = 1518
  integer, parameter :: nGC_1915 = 1519
  integer, parameter :: nGC_1923 = 1520
  integer, parameter :: nGC_1920 = 1521
  integer, parameter :: nGC_1921 = 1522
  integer, parameter :: nGC_2251 = 1523
  integer, parameter :: nGC_2250 = 1524
  integer, parameter :: nGC_2253 = 1525
  integer, parameter :: nGC_2252 = 1526
  integer, parameter :: nGC_2255 = 1527
  integer, parameter :: nGC_2257 = 1528
  integer, parameter :: nGC_2368 = 1529
  integer, parameter :: nGC_2310 = 1530
  integer, parameter :: nGC_2258 = 1531
  integer, parameter :: nGC_2705 = 1532
  integer, parameter :: nGC_2704 = 1533
  integer, parameter :: nGC_2703 = 1534
  integer, parameter :: nGC_2701 = 1535
  integer, parameter :: nGC_2700 = 1536
  integer, parameter :: nGC_3229 = 1537
  integer, parameter :: nGC_TS_GC_29_Hh = 1538
  integer, parameter :: nGC_TS_GC_188_Hh = 1539
  integer, parameter :: nGC_2383 = 1540
  integer, parameter :: nGC_2382 = 1541
  integer, parameter :: nGC_2387 = 1542
  integer, parameter :: nGC_TS_GC_10_Hh = 1543
  integer, parameter :: nGC_2384 = 1544
  integer, parameter :: nGC_3250 = 1545
  integer, parameter :: nGC_2388 = 1546
  integer, parameter :: nGC_3255 = 1547
  integer, parameter :: nGC_3032 = 1548
  integer, parameter :: nGC_1986 = 1549
  integer, parameter :: nGC_3034 = 1550
  integer, parameter :: nGC_1922 = 1551
  integer, parameter :: nGC_2952 = 1552
  integer, parameter :: nGC_2953 = 1553
  integer, parameter :: nGC_2956 = 1554
  integer, parameter :: nGC_2957 = 1555
  integer, parameter :: nGC_1832 = 1556
  integer, parameter :: nGC_TS_GC_130_Hl = 1557
  integer, parameter :: nGC_2818 = 1558
  integer, parameter :: nGC_2319 = 1559
  integer, parameter :: nGC_2812 = 1560
  integer, parameter :: nGC_2817 = 1561
  integer, parameter :: nGC_2816 = 1562
  integer, parameter :: nGC_2815 = 1563
  integer, parameter :: nGC_2814 = 1564
  integer, parameter :: nGC_1911 = 1565
  integer, parameter :: nGC_TS_GC_111_Hh = 1566
  integer, parameter :: nGC_3047 = 1567
  integer, parameter :: nGC_2311 = 1568
  integer, parameter :: nGC_2312 = 1569
  integer, parameter :: nGC_3049 = 1570
  integer, parameter :: nGC_2927 = 1571
  integer, parameter :: nGC_2924 = 1572
  integer, parameter :: nGC_2922 = 1573
  integer, parameter :: nGC_2921 = 1574
  integer, parameter :: nGC_2920 = 1575
  integer, parameter :: nGC_2929 = 1576
  integer, parameter :: nGC_1961 = 1577
  integer, parameter :: nGC_2316 = 1578
  integer, parameter :: nGC_1966 = 1579
  integer, parameter :: nGC_1715 = 1580
  integer, parameter :: nGC_1967 = 1581
  integer, parameter :: nGC_TS_GC_22_Hh = 1582
  integer, parameter :: nGC_TS_GC_22_Hl = 1583
  integer, parameter :: nGC_1867 = 1584
  integer, parameter :: nGC_1714 = 1585
  integer, parameter :: nGC_1711 = 1586
  integer, parameter :: nGC_1712 = 1587
  integer, parameter :: nGC_1790 = 1588
  integer, parameter :: nGC_3180 = 1589
  integer, parameter :: nGC_3177 = 1590
  integer, parameter :: nGC_3181 = 1591
  integer, parameter :: nGC_TS_GC_9_Hl = 1592
  integer, parameter :: nGC_TS_GC_9_Hh = 1593
  integer, parameter :: nGC_1818 = 1594
  integer, parameter :: nGC_1819 = 1595
  integer, parameter :: nGC_TS_GC_12_Hh = 1596
  integer, parameter :: nGC_2031 = 1597
  integer, parameter :: nGC_2030 = 1598
  integer, parameter :: nGC_2743 = 1599
  integer, parameter :: nGC_2214 = 1600
  integer, parameter :: nGC_2740 = 1601
  integer, parameter :: nGC_2746 = 1602
  integer, parameter :: nGC_2212 = 1603
  integer, parameter :: nGC_729 = 1604
  integer, parameter :: nGC_2749 = 1605
  integer, parameter :: nGC_1780 = 1606
  integer, parameter :: nGC_2628 = 1607
  integer, parameter :: nGC_2198 = 1608
  integer, parameter :: nGC_2199 = 1609
  integer, parameter :: nGC_2197 = 1610
  integer, parameter :: nGC_2627 = 1611
  integer, parameter :: nGC_2620 = 1612
  integer, parameter :: nGC_2193 = 1613
  integer, parameter :: nGC_1942 = 1614
  integer, parameter :: nGC_2381 = 1615
  integer, parameter :: nGC_1805 = 1616
  integer, parameter :: nGC_TS_GC_118_Hh = 1617
  integer, parameter :: nGC_651 = 1618
  integer, parameter :: nGC_653 = 1619
  integer, parameter :: nGC_2195 = 1620
  integer, parameter :: nGC_2721 = 1621
  integer, parameter :: nGC_1814 = 1622
  integer, parameter :: nGC_791 = 1623
  integer, parameter :: nGC_2996 = 1624
  integer, parameter :: nGC_2997 = 1625
  integer, parameter :: nGC_2995 = 1626
  integer, parameter :: nGC_2993 = 1627
  integer, parameter :: nGC_2990 = 1628
  integer, parameter :: nGC_TS_GC_69_Hh = 1629
  integer, parameter :: nGC_TS_GC_69_Hl = 1630
  integer, parameter :: nGC_2999 = 1631
  integer, parameter :: nGC_2448 = 1632
  integer, parameter :: nGC_2449 = 1633
  integer, parameter :: nGC_2363 = 1634
  integer, parameter :: nGC_2362 = 1635
  integer, parameter :: nGC_TS_GC_11_Hl = 1636
  integer, parameter :: nGC_2364 = 1637
  integer, parameter :: nGC_2367 = 1638
  integer, parameter :: nGC_2366 = 1639
  integer, parameter :: nGC_2440 = 1640
  integer, parameter :: nGC_2441 = 1641
  integer, parameter :: nGC_2442 = 1642
  integer, parameter :: nGC_2443 = 1643
  integer, parameter :: nGC_2444 = 1644
  integer, parameter :: nGC_2445 = 1645
  integer, parameter :: nGC_2446 = 1646
  integer, parameter :: nGC_2447 = 1647
  integer, parameter :: nGC_2692 = 1648
  integer, parameter :: nGC_2695 = 1649
  integer, parameter :: nGC_2694 = 1650
  integer, parameter :: nGC_2697 = 1651
  integer, parameter :: nGC_2696 = 1652
  integer, parameter :: nGC_2699 = 1653
  integer, parameter :: nGC_2698 = 1654
  integer, parameter :: nGC_3183 = 1655
  integer, parameter :: nGC_3184 = 1656
  integer, parameter :: nGC_2899 = 1657
  integer, parameter :: nGC_3164 = 1658
  integer, parameter :: nGC_3165 = 1659
  integer, parameter :: nGC_3009 = 1660
  integer, parameter :: nGC_3008 = 1661
  integer, parameter :: nGC_3160 = 1662
  integer, parameter :: nGC_3162 = 1663
  integer, parameter :: nGC_3163 = 1664
  integer, parameter :: nGC_3003 = 1665
  integer, parameter :: nGC_3002 = 1666
  integer, parameter :: nGC_3001 = 1667
  integer, parameter :: nGC_3000 = 1668
  integer, parameter :: nGC_3007 = 1669
  integer, parameter :: nGC_3004 = 1670
  integer, parameter :: nGC_2845 = 1671
  integer, parameter :: nGC_2846 = 1672
  integer, parameter :: nGC_2847 = 1673
  integer, parameter :: nGC_2840 = 1674
  integer, parameter :: nGC_2841 = 1675
  integer, parameter :: nGC_2842 = 1676
  integer, parameter :: nGC_3168 = 1677
  integer, parameter :: nGC_2848 = 1678
  integer, parameter :: nGC_2849 = 1679
  integer, parameter :: nGC_2965 = 1680
  integer, parameter :: nGC_1663 = 1681
  integer, parameter :: nGC_2228 = 1682
  integer, parameter :: nGC_2727 = 1683
  integer, parameter :: nGC_2770 = 1684
  integer, parameter :: nGC_TS_GC_117_Hh = 1685
  integer, parameter :: nGC_2400 = 1686
  integer, parameter :: nGC_2389 = 1687
  integer, parameter :: nGC_1746 = 1688
  integer, parameter :: nGC_1747 = 1689
  integer, parameter :: nGC_1744 = 1690
  integer, parameter :: nGC_1745 = 1691
  integer, parameter :: nGC_1742 = 1692
  integer, parameter :: nGC_1743 = 1693
  integer, parameter :: nGC_1740 = 1694
  integer, parameter :: nGC_1741 = 1695
  integer, parameter :: nGC_2668 = 1696
  integer, parameter :: nGC_605 = 1697
  integer, parameter :: nGC_2898 = 1698
  integer, parameter :: nGC_1749 = 1699
  integer, parameter :: nGC_1830 = 1700
  integer, parameter :: nGC_2099 = 1701
  integer, parameter :: nGC_2098 = 1702
  integer, parameter :: nGC_TS_GC_49_Hl = 1703
  integer, parameter :: nGC_TS_GC_49_Hh = 1704
  integer, parameter :: nGC_2716 = 1705
  integer, parameter :: nGC_TS_GC_116_Hh = 1706
  integer, parameter :: nGC_1969 = 1707
  integer, parameter :: nGC_2409 = 1708
  integer, parameter :: nGC_2064 = 1709
  integer, parameter :: nGC_2063 = 1710
  integer, parameter :: nGC_2145 = 1711
  integer, parameter :: nGC_2144 = 1712
  integer, parameter :: nGC_1829 = 1713
  integer, parameter :: nGC_1828 = 1714
  integer, parameter :: nGC_2327 = 1715
  integer, parameter :: nGC_1701 = 1716
  integer, parameter :: nGC_3238 = 1717
  integer, parameter :: nGC_2894 = 1718
  integer, parameter :: nGC_1953 = 1719
  integer, parameter :: nGC_1951 = 1720
  integer, parameter :: nGC_1957 = 1721
  integer, parameter :: nGC_1956 = 1722
  integer, parameter :: nGC_1955 = 1723
  integer, parameter :: nGC_1707 = 1724
  integer, parameter :: nGC_2718 = 1725
  integer, parameter :: nGC_2248 = 1726
  integer, parameter :: nGC_2249 = 1727
  integer, parameter :: nGC_2246 = 1728
  integer, parameter :: nGC_2715 = 1729
  integer, parameter :: nGC_2244 = 1730
  integer, parameter :: nGC_2242 = 1731
  integer, parameter :: nGC_2243 = 1732
  integer, parameter :: nGC_2240 = 1733
  integer, parameter :: nGC_2241 = 1734
  integer, parameter :: nGC_2822 = 1735
  integer, parameter :: nGC_2823 = 1736
  integer, parameter :: nGC_3149 = 1737
  integer, parameter :: nGC_1860 = 1738
  integer, parameter :: nGC_2390 = 1739
  integer, parameter :: nGC_2395 = 1740
  integer, parameter :: nGC_2396 = 1741
  integer, parameter :: nGC_2397 = 1742
  integer, parameter :: nGC_2398 = 1743
  integer, parameter :: nGC_2399 = 1744
  integer, parameter :: nGC_3146 = 1745
  integer, parameter :: nGC_1930 = 1746
  integer, parameter :: nGC_1933 = 1747
  integer, parameter :: nGC_2799 = 1748
  integer, parameter :: nGC_3283 = 1749
  integer, parameter :: nGC_3287 = 1750
  integer, parameter :: nGC_3288 = 1751
  integer, parameter :: nGC_1934 = 1752
  integer, parameter :: nGC_2809 = 1753
  integer, parameter :: nGC_1937 = 1754
  integer, parameter :: nGC_1831 = 1755
  integer, parameter :: nGC_2801 = 1756
  integer, parameter :: nGC_2802 = 1757
  integer, parameter :: nGC_2805 = 1758
  integer, parameter :: nGC_2807 = 1759
  integer, parameter :: nGC_1833 = 1760
  integer, parameter :: nGC_1834 = 1761
  integer, parameter :: nGC_1835 = 1762
  integer, parameter :: nGC_2222 = 1763
  integer, parameter :: nGC_TS_GC_119_Hl = 1764
  integer, parameter :: nGC_1836 = 1765
  integer, parameter :: nGC_1837 = 1766
  integer, parameter :: nGC_3054 = 1767
  integer, parameter :: nGC_3056 = 1768
  integer, parameter :: nGC_3053 = 1769
  integer, parameter :: nGC_2636 = 1770
  integer, parameter :: nGC_2200 = 1771
  integer, parameter :: nGC_2934 = 1772
  integer, parameter :: nGC_TS_GC_108_Hl = 1773
  integer, parameter :: nGC_2936 = 1774
  integer, parameter :: nGC_2937 = 1775
  integer, parameter :: nGC_2930 = 1776
  integer, parameter :: nGC_2221 = 1777
  integer, parameter :: nGC_2938 = 1778
  integer, parameter :: nGC_2939 = 1779
  integer, parameter :: nGC_TS_GC_41_Hl = 1780
  integer, parameter :: nGC_1709 = 1781
  integer, parameter :: nGC_TS_GC_41_Hh = 1782
  integer, parameter :: nGC_2050 = 1783
  integer, parameter :: nGC_2338 = 1784
  integer, parameter :: nGC_2202 = 1785
  integer, parameter :: nGC_2172 = 1786
  integer, parameter :: nGC_2300 = 1787
  integer, parameter :: nGC_1977 = 1788
  integer, parameter :: nGC_1812 = 1789
  integer, parameter :: nGC_1940 = 1790
  integer, parameter :: nGC_TS_GC_104_Hl = 1791
  integer, parameter :: nGC_1941 = 1792
  integer, parameter :: nGC_2023 = 1793
  integer, parameter :: nGC_2020 = 1794
  integer, parameter :: nGC_2021 = 1795
  integer, parameter :: nGC_1660 = 1796
  integer, parameter :: nGC_2024 = 1797
  integer, parameter :: nGC_2025 = 1798
  integer, parameter :: nGC_1676 = 1799
  integer, parameter :: nGC_637 = 1800
  integer, parameter :: nGC_TS_GC_149_Hh = 1801
  integer, parameter :: nGC_631 = 1802
  integer, parameter :: nGC_2758 = 1803
  integer, parameter :: nGC_2759 = 1804
  integer, parameter :: nGC_2209 = 1805
  integer, parameter :: nGC_2719 = 1806
  integer, parameter :: nGC_2619 = 1807
  integer, parameter :: nGC_2618 = 1808
  integer, parameter :: nGC_2773 = 1809
  integer, parameter :: nGC_1883 = 1810
  integer, parameter :: nGC_3090 = 1811
  integer, parameter :: nGC_2611 = 1812
  integer, parameter :: nGC_2610 = 1813
  integer, parameter :: nGC_2612 = 1814
  integer, parameter :: nGC_2615 = 1815
  integer, parameter :: nGC_2614 = 1816
  integer, parameter :: nGC_2617 = 1817
  integer, parameter :: nGC_2616 = 1818
  integer, parameter :: nGC_1784 = 1819
  integer, parameter :: nGC_1759 = 1820
  integer, parameter :: nGC_1935 = 1821
  integer, parameter :: nGC_3190 = 1822
  integer, parameter :: nGC_2116 = 1823
  integer, parameter :: nGC_2117 = 1824
  integer, parameter :: nGC_2114 = 1825
  integer, parameter :: nGC_2299 = 1826
  integer, parameter :: nGC_2298 = 1827
  integer, parameter :: nGC_2110 = 1828
  integer, parameter :: nGC_2111 = 1829
  integer, parameter :: nGC_2295 = 1830
  integer, parameter :: nGC_2294 = 1831
  integer, parameter :: nGC_2297 = 1832
  integer, parameter :: nGC_2296 = 1833
  integer, parameter :: nGC_2291 = 1834
  integer, parameter :: nGC_2290 = 1835
  integer, parameter :: nGC_2293 = 1836
  integer, parameter :: nGC_2292 = 1837
  integer, parameter :: nGC_2475 = 1838
  integer, parameter :: nGC_2474 = 1839
  integer, parameter :: nGC_1906 = 1840
  integer, parameter :: nGC_1900 = 1841
  integer, parameter :: nGC_2470 = 1842
  integer, parameter :: nGC_2473 = 1843
  integer, parameter :: nGC_1903 = 1844
  integer, parameter :: nGC_3040 = 1845
  integer, parameter :: nGC_2277 = 1846
  integer, parameter :: nGC_2276 = 1847
  integer, parameter :: nGC_2275 = 1848
  integer, parameter :: nGC_2274 = 1849
  integer, parameter :: nGC_2273 = 1850
  integer, parameter :: nGC_2272 = 1851
  integer, parameter :: nGC_2271 = 1852
  integer, parameter :: nGC_2270 = 1853
  integer, parameter :: nGC_TS_GC_23_Hl = 1854
  integer, parameter :: nGC_2754 = 1855
  integer, parameter :: nGC_1824 = 1856
  integer, parameter :: nGC_2375 = 1857
  integer, parameter :: nGC_TS_GC_23_Hh = 1858
  integer, parameter :: nGC_2279 = 1859
  integer, parameter :: nGC_2278 = 1860
  integer, parameter :: nGC_2689 = 1861
  integer, parameter :: nGC_2714 = 1862
  integer, parameter :: nGC_2725 = 1863
  integer, parameter :: nGC_1685 = 1864
  integer, parameter :: nGC_2724 = 1865
  integer, parameter :: nGC_2726 = 1866
  integer, parameter :: nGC_1793 = 1867
  integer, parameter :: nGC_TS_GC_38_Hh = 1868
  integer, parameter :: nGC_1936 = 1869
  integer, parameter :: nGC_1949 = 1870
  integer, parameter :: nGC_3094 = 1871
  integer, parameter :: nGC_3018 = 1872
  integer, parameter :: nGC_3019 = 1873
  integer, parameter :: nGC_3152 = 1874
  integer, parameter :: nGC_2649 = 1875
  integer, parameter :: nGC_1678 = 1876
  integer, parameter :: nGC_3010 = 1877
  integer, parameter :: nGC_3011 = 1878
  integer, parameter :: nGC_3012 = 1879
  integer, parameter :: nGC_3013 = 1880
  integer, parameter :: nGC_3014 = 1881
  integer, parameter :: nGC_3015 = 1882
  integer, parameter :: nGC_3016 = 1883
  integer, parameter :: nGC_3017 = 1884
  integer, parameter :: nGC_2871 = 1885
  integer, parameter :: nGC_2870 = 1886
  integer, parameter :: nGC_2872 = 1887
  integer, parameter :: nGC_2875 = 1888
  integer, parameter :: nGC_2876 = 1889
  integer, parameter :: nGC_2879 = 1890
  integer, parameter :: nGC_2878 = 1891
  integer, parameter :: nGC_TS_GC_94_Hh = 1892
  integer, parameter :: nGC_TS_GC_94_Hl = 1893
  integer, parameter :: nGC_1962 = 1894
  integer, parameter :: nGC_1789 = 1895
  integer, parameter :: nGC_2742 = 1896
  integer, parameter :: nGC_3089 = 1897
  integer, parameter :: nGC_TS_GC_13_Hl = 1898
  integer, parameter :: nGC_2660 = 1899
  integer, parameter :: nGC_3151 = 1900
  integer, parameter :: nGC_1779 = 1901
  integer, parameter :: nGC_2661 = 1902
  integer, parameter :: nGC_TS_GC_128_Hl = 1903
  integer, parameter :: nGC_2662 = 1904
  integer, parameter :: nGC_1963 = 1905
  integer, parameter :: nGC_2663 = 1906
  integer, parameter :: nGC_1776 = 1907
  integer, parameter :: nGC_2664 = 1908
  integer, parameter :: nGC_1804 = 1909
  integer, parameter :: nGC_TS_GC_10_Hl = 1910
  integer, parameter :: nGC_2680 = 1911
  integer, parameter :: nGC_1774 = 1912
  integer, parameter :: nGC_1815 = 1913
  integer, parameter :: nGC_2667 = 1914
  integer, parameter :: nGC_1960 = 1915
  integer, parameter :: nGC_607 = 1916
  integer, parameter :: nGC_3292 = 1917
  integer, parameter :: nGC_1771 = 1918
  integer, parameter :: nGC_TS_GC_113_Hl = 1919
  integer, parameter :: nGC_1770 = 1920
  integer, parameter :: nGC_1884 = 1921
  integer, parameter :: nGC_1881 = 1922
  integer, parameter :: nGC_1735 = 1923
  integer, parameter :: nGC_1882 = 1924
  integer, parameter :: nGC_2126 = 1925
  integer, parameter :: nGC_1739 = 1926
  integer, parameter :: nGC_1738 = 1927
  integer, parameter :: nGC_1889 = 1928
  integer, parameter :: nGC_1888 = 1929
  integer, parameter :: nGC_2121 = 1930
  integer, parameter :: nGC_2120 = 1931
  integer, parameter :: nGC_3148 = 1932
  integer, parameter :: nGC_2089 = 1933
  integer, parameter :: nGC_2080 = 1934
  integer, parameter :: nGC_2081 = 1935
  integer, parameter :: nGC_2082 = 1936
  integer, parameter :: nGC_2083 = 1937
  integer, parameter :: nGC_1810 = 1938
  integer, parameter :: nGC_2085 = 1939
  integer, parameter :: nGC_2087 = 1940
  integer, parameter :: nGC_2131 = 1941
  integer, parameter :: nGC_2851 = 1942
  integer, parameter :: nGC_1683 = 1943
  integer, parameter :: nGC_TS_GC_124_Hl = 1944
  integer, parameter :: nGC_1866 = 1945
  integer, parameter :: nGC_2201 = 1946
  integer, parameter :: nGC_2013 = 1947
  integer, parameter :: nGC_2012 = 1948
  integer, parameter :: nGC_2017 = 1949
  integer, parameter :: nGC_2016 = 1950
  integer, parameter :: nGC_2015 = 1951
  integer, parameter :: nGC_2014 = 1952
  integer, parameter :: nGC_1839 = 1953
  integer, parameter :: nGC_2019 = 1954
  integer, parameter :: nGC_2018 = 1955
  integer, parameter :: nGC_2882 = 1956
  integer, parameter :: nGC_2883 = 1957
  integer, parameter :: nGC_2885 = 1958
  integer, parameter :: nGC_TS_GC_110_Hl = 1959
  integer, parameter :: nGC_3200 = 1960
  integer, parameter :: nGC_3203 = 1961
  integer, parameter :: nGC_2339 = 1962
  integer, parameter :: nGC_1944 = 1963
  integer, parameter :: nGC_1945 = 1964
  integer, parameter :: nGC_1946 = 1965
  integer, parameter :: nGC_2728 = 1966
  integer, parameter :: nGC_2239 = 1967
  integer, parameter :: nGC_2238 = 1968
  integer, parameter :: nGC_2092 = 1969
  integer, parameter :: nGC_2233 = 1970
  integer, parameter :: nGC_2232 = 1971
  integer, parameter :: nGC_2231 = 1972
  integer, parameter :: nGC_2230 = 1973
  integer, parameter :: nGC_2237 = 1974
  integer, parameter :: nGC_2236 = 1975
  integer, parameter :: nGC_2235 = 1976
  integer, parameter :: nGC_2234 = 1977
  integer, parameter :: nGC_2107 = 1978
  integer, parameter :: nGC_2640 = 1979
  integer, parameter :: nGC_2061 = 1980
  integer, parameter :: nGC_1868 = 1981
  integer, parameter :: nGC_641 = 1982
  integer, parameter :: nGC_2096 = 1983
  integer, parameter :: nGC_2005 = 1984
  integer, parameter :: nGC_2419 = 1985
  integer, parameter :: nGC_2100 = 1986
  integer, parameter :: nGC_2112 = 1987
  integer, parameter :: nGC_2418 = 1988
  integer, parameter :: nGC_2103 = 1989
  integer, parameter :: nGC_2113 = 1990
  integer, parameter :: nGC_2102 = 1991
  integer, parameter :: nGC_3110 = 1992
  integer, parameter :: nGC_2685 = 1993
  integer, parameter :: nGC_2105 = 1994
  integer, parameter :: nGC_2835 = 1995
  integer, parameter :: nGC_2346 = 1996
  integer, parameter :: nGC_2837 = 1997
  integer, parameter :: nGC_2343 = 1998
  integer, parameter :: nGC_2342 = 1999
  integer, parameter :: nGC_2833 = 2000
  integer, parameter :: nGC_2832 = 2001
  integer, parameter :: nGC_TS_GC_121_Hh = 2002
  integer, parameter :: nGC_2106 = 2003
  integer, parameter :: nGC_2839 = 2004
  integer, parameter :: nGC_2838 = 2005
  integer, parameter :: nGC_2348 = 2006
  integer, parameter :: nGC_2935 = 2007
  integer, parameter :: nGC_2834 = 2008
  integer, parameter :: nGC_2345 = 2009
  integer, parameter :: nGC_2118 = 2010
  integer, parameter :: nGC_1865 = 2011
  integer, parameter :: nGC_2831 = 2012
  integer, parameter :: nGC_2132 = 2013
  integer, parameter :: nGC_2119 = 2014
  integer, parameter :: nGC_1710 = 2015
  integer, parameter :: nGC_1730 = 2016
  integer, parameter :: nGC_2341 = 2017
  integer, parameter :: nGC_1905 = 2018
  integer, parameter :: nGC_2340 = 2019
  integer, parameter :: nGC_1700 = 2020
  integer, parameter :: nGC_2476 = 2021
  integer, parameter :: nGC_2789 = 2022
  integer, parameter :: nGC_1864 = 2023
  integer, parameter :: nGC_2782 = 2024
  integer, parameter :: nGC_2471 = 2025
  integer, parameter :: nGC_2429 = 2026
  integer, parameter :: nGC_1901 = 2027
  integer, parameter :: nGC_2901 = 2028
  integer, parameter :: nGC_1823 = 2029
  integer, parameter :: nGC_2903 = 2030
  integer, parameter :: nGC_2902 = 2031
  integer, parameter :: nGC_2905 = 2032
  integer, parameter :: nGC_2907 = 2033
  integer, parameter :: nGC_2909 = 2034
  integer, parameter :: nGC_2908 = 2035
  integer, parameter :: nGC_2472 = 2036
  integer, parameter :: nGC_1821 = 2037
  integer, parameter :: nGC_1820 = 2038
  integer, parameter :: nGC_1863 = 2039
  integer, parameter :: nGC_1827 = 2040
  integer, parameter :: nGC_3291 = 2041
  integer, parameter :: nGC_1826 = 2042
  integer, parameter :: nGC_1849 = 2043
  integer, parameter :: nGC_1848 = 2044
  integer, parameter :: nGC_2048 = 2045
  integer, parameter :: nGC_1806 = 2046
  integer, parameter :: nGC_2044 = 2047
  integer, parameter :: nGC_2045 = 2048
  integer, parameter :: nGC_2046 = 2049
  integer, parameter :: nGC_2047 = 2050
  integer, parameter :: nGC_2040 = 2051
  integer, parameter :: nGC_2041 = 2052
  integer, parameter :: nGC_2042 = 2053
  integer, parameter :: nGC_2043 = 2054
  integer, parameter :: nGC_TS_GC_68_Hh = 2055
  integer, parameter :: nGC_2686 = 2056
  integer, parameter :: nGC_TS_GC_68_Hl = 2057
  integer, parameter :: nGC_2942 = 2058
  integer, parameter :: nGC_3055 = 2059
  integer, parameter :: nGC_2147 = 2060
  integer, parameter :: nGC_2146 = 2061
  integer, parameter :: nGC_2309 = 2062
  integer, parameter :: nGC_1734 = 2063
  integer, parameter :: nGC_2606 = 2064
  integer, parameter :: nGC_2607 = 2065
  integer, parameter :: nGC_627 = 2066
  integer, parameter :: nGC_2768 = 2067
  integer, parameter :: nGC_2976 = 2068
  integer, parameter :: nGC_TS_GC_40_Hh = 2069
  integer, parameter :: nGC_2761 = 2070
  integer, parameter :: nGC_1959 = 2071
  integer, parameter :: nGC_2608 = 2072
  integer, parameter :: nGC_2609 = 2073
  integer, parameter :: nGC_1958 = 2074
  integer, parameter :: nGC_1791 = 2075
  integer, parameter :: nGC_1769 = 2076
  integer, parameter :: nGC_3057 = 2077
  integer, parameter :: nGC_1765 = 2078
  integer, parameter :: nGC_1766 = 2079
  integer, parameter :: nGC_2207 = 2080
  integer, parameter :: nGC_1760 = 2081
  integer, parameter :: nGC_1761 = 2082
  integer, parameter :: nGC_1762 = 2083
  integer, parameter :: nGC_1763 = 2084
  integer, parameter :: nGC_TS_GC_157_Hh = 2085
  integer, parameter :: nGC_2372 = 2086
  integer, parameter :: nGC_3120 = 2087
  integer, parameter :: nGC_2160 = 2088
  integer, parameter :: nGC_2163 = 2089
  integer, parameter :: nGC_2162 = 2090
  integer, parameter :: nGC_2288 = 2091
  integer, parameter :: nGC_2289 = 2092
  integer, parameter :: nGC_2167 = 2093
  integer, parameter :: nGC_2166 = 2094
  integer, parameter :: nGC_2165 = 2095
  integer, parameter :: nGC_1952 = 2096
  integer, parameter :: nGC_2282 = 2097
  integer, parameter :: nGC_2283 = 2098
  integer, parameter :: nGC_2280 = 2099
  integer, parameter :: nGC_2281 = 2100
  integer, parameter :: nGC_2286 = 2101
  integer, parameter :: nGC_2287 = 2102
  integer, parameter :: nGC_2284 = 2103
  integer, parameter :: nGC_2285 = 2104
  integer, parameter :: nGC_1931 = 2105
  integer, parameter :: nGC_2463 = 2106
  integer, parameter :: nGC_2460 = 2107
  integer, parameter :: nGC_1932 = 2108
  integer, parameter :: nGC_2466 = 2109
  integer, parameter :: nGC_2467 = 2110
  integer, parameter :: nGC_2464 = 2111
  integer, parameter :: nGC_2465 = 2112
  integer, parameter :: nGC_1939 = 2113
  integer, parameter :: nGC_1938 = 2114
  integer, parameter :: nGC_2468 = 2115
  integer, parameter :: nGC_2469 = 2116
  integer, parameter :: nGC_2264 = 2117
  integer, parameter :: nGC_2265 = 2118
  integer, parameter :: nGC_2266 = 2119
  integer, parameter :: nGC_2267 = 2120
  integer, parameter :: nGC_2261 = 2121
  integer, parameter :: nGC_2263 = 2122
  integer, parameter :: nGC_TS_GC_39_Hl = 2123
  integer, parameter :: nGC_2268 = 2124
  integer, parameter :: nGC_2269 = 2125
  integer, parameter :: nGC_2305 = 2126
  integer, parameter :: nGC_2022 = 2127
  integer, parameter :: nGC_1811 = 2128
  integer, parameter :: nGC_2216 = 2129
  integer, parameter :: nGC_1816 = 2130
  integer, parameter :: nGC_1788 = 2131
  integer, parameter :: nGC_1817 = 2132
  integer, parameter :: nGC_2210 = 2133
  integer, parameter :: nGC_3249 = 2134
  integer, parameter :: nGC_3248 = 2135
  integer, parameter :: nGC_2687 = 2136
  integer, parameter :: nGC_3245 = 2137
  integer, parameter :: nGC_3244 = 2138
  integer, parameter :: nGC_3247 = 2139
  integer, parameter :: nGC_3246 = 2140
  integer, parameter :: nGC_3241 = 2141
  integer, parameter :: nGC_3240 = 2142
  integer, parameter :: nGC_3243 = 2143
  integer, parameter :: nGC_3242 = 2144
  integer, parameter :: nGC_3025 = 2145
  integer, parameter :: nGC_3024 = 2146
  integer, parameter :: nGC_3027 = 2147
  integer, parameter :: nGC_3026 = 2148
  integer, parameter :: nGC_3021 = 2149
  integer, parameter :: nGC_3020 = 2150
  integer, parameter :: nGC_3022 = 2151
  integer, parameter :: nGC_3236 = 2152
  integer, parameter :: nGC_3028 = 2153
  integer, parameter :: nGC_2417 = 2154
  integer, parameter :: nGC_2416 = 2155
  integer, parameter :: nGC_2947 = 2156
  integer, parameter :: nGC_2946 = 2157
  integer, parameter :: nGC_2941 = 2158
  integer, parameter :: nGC_2940 = 2159
  integer, parameter :: nGC_2943 = 2160
  integer, parameter :: nGC_2410 = 2161
  integer, parameter :: nGC_2430 = 2162
  integer, parameter :: nGC_3147 = 2163
  integer, parameter :: nGC_3144 = 2164
  integer, parameter :: nGC_3145 = 2165
  integer, parameter :: nGC_3142 = 2166
  integer, parameter :: nGC_3143 = 2167
  integer, parameter :: nGC_3140 = 2168
  integer, parameter :: nGC_2787 = 2169
  integer, parameter :: nGC_2785 = 2170
  integer, parameter :: nGC_2245 = 2171
  integer, parameter :: nGC_2783 = 2172
  integer, parameter :: nGC_2213 = 2173
  integer, parameter :: nGC_2868 = 2174
  integer, parameter :: nGC_2869 = 2175
  integer, parameter :: nGC_2866 = 2176
  integer, parameter :: nGC_2867 = 2177
  integer, parameter :: nGC_2864 = 2178
  integer, parameter :: nGC_1787 = 2179
  integer, parameter :: nGC_2862 = 2180
  integer, parameter :: nGC_2863 = 2181
  integer, parameter :: nGC_2860 = 2182
  integer, parameter :: nGC_2788 = 2183
  integer, parameter :: nGC_2415 = 2184
  integer, parameter :: nGC_2204 = 2185
  integer, parameter :: nGC_3092 = 2186
  integer, parameter :: nGC_2706 = 2187
  integer, parameter :: nGC_3095 = 2188
  integer, parameter :: nGC_3096 = 2189
  integer, parameter :: nGC_3097 = 2190
  integer, parameter :: nGC_2760 = 2191
  integer, parameter :: nGC_3099 = 2192
  integer, parameter :: nGC_2158 = 2193
  integer, parameter :: nGC_1768 = 2194
  integer, parameter :: nGC_3202 = 2195
  integer, parameter :: nGC_1702 = 2196
  integer, parameter :: nGC_2648 = 2197
  integer, parameter :: nGC_3131 = 2198
  integer, parameter :: nGC_1677 = 2199
  integer, parameter :: nGC_1782 = 2200
  integer, parameter :: nGC_2159 = 2201
  integer, parameter :: nGC_1813 = 2202
  integer, parameter :: nGC_2203 = 2203
  integer, parameter :: nGC_1971 = 2204
  integer, parameter :: nGC_1703 = 2205
  integer, parameter :: nGC_1871 = 2206
  integer, parameter :: nGC_2762 = 2207
  integer, parameter :: nGC_1673 = 2208
  integer, parameter :: nGC_1786 = 2209
  integer, parameter :: nGC_3127 = 2210
  integer, parameter :: nGC_2658 = 2211
  integer, parameter :: nGC_2169 = 2212
  integer, parameter :: nGC_1720 = 2213
  integer, parameter :: nGC_1893 = 2214
  integer, parameter :: nGC_1722 = 2215
  integer, parameter :: nGC_1891 = 2216
  integer, parameter :: nGC_1724 = 2217
  integer, parameter :: nGC_1725 = 2218
  integer, parameter :: nGC_1726 = 2219
  integer, parameter :: nGC_1895 = 2220
  integer, parameter :: nGC_1728 = 2221
  integer, parameter :: nGC_1729 = 2222
  integer, parameter :: nGC_1898 = 2223
  integer, parameter :: nGC_1899 = 2224
  integer, parameter :: nGC_2646 = 2225
  integer, parameter :: nGC_2778 = 2226
  integer, parameter :: nGC_2644 = 2227
  integer, parameter :: nGC_2133 = 2228
  integer, parameter :: nGC_2624 = 2229
  integer, parameter :: nGC_613 = 2230
  integer, parameter :: nGC_2625 = 2231
  integer, parameter :: nGC_2626 = 2232
  integer, parameter :: nGC_1662 = 2233
  integer, parameter :: nGC_2192 = 2234
  integer, parameter :: nGC_617 = 2235
  integer, parameter :: nGC_3103 = 2236
  integer, parameter :: nGC_2621 = 2237
  integer, parameter :: nGC_2000 = 2238
  integer, parameter :: nGC_2772 = 2239
  integer, parameter :: nGC_2002 = 2240
  integer, parameter :: nGC_2003 = 2241
  integer, parameter :: nGC_2004 = 2242
  integer, parameter :: nGC_2622 = 2243
  integer, parameter :: nGC_2006 = 2244
  integer, parameter :: nGC_2007 = 2245
  integer, parameter :: nGC_2008 = 2246
  integer, parameter :: nGC_2009 = 2247
  integer, parameter :: nGC_1807 = 2248
  integer, parameter :: nGC_1801 = 2249
  integer, parameter :: nGC_1800 = 2250
  integer, parameter :: nGC_1803 = 2251
  integer, parameter :: nGC_1802 = 2252
  integer, parameter :: nGC_2736 = 2253
  integer, parameter :: nGC_2734 = 2254
  integer, parameter :: nGC_2735 = 2255
  integer, parameter :: nGC_2733 = 2256
  integer, parameter :: nGC_1706 = 2257
  integer, parameter :: nGC_2731 = 2258
  integer, parameter :: nGC_3167 = 2259
  integer, parameter :: nGC_2738 = 2260
  integer, parameter :: nGC_2739 = 2261
  integer, parameter :: nGC_1897 = 2262
  integer, parameter :: nGC_2229 = 2263
  integer, parameter :: nGC_TS_GC_61_Hh = 2264
  integer, parameter :: nGC_1796 = 2265
  integer, parameter :: nGC_1658 = 2266
  integer, parameter :: nGC_1659 = 2267
  integer, parameter :: nGC_TS_GC_61_Hl = 2268
  integer, parameter :: nGC_1792 = 2269
  integer, parameter :: nGC_2220 = 2270
  integer, parameter :: nGC_1655 = 2271
  integer, parameter :: nGC_1656 = 2272
  integer, parameter :: nGC_1657 = 2273
  integer, parameter :: nGC_2224 = 2274
  integer, parameter :: nGC_2225 = 2275
  integer, parameter :: nGC_2226 = 2276
  integer, parameter :: nGC_2227 = 2277
  integer, parameter :: nGC_TS_GC_27_Hh = 2278
  integer, parameter :: nGC_3150 = 2279
  integer, parameter :: nGC_3153 = 2280
  integer, parameter :: nGC_1970 = 2281
  integer, parameter :: nGC_2433 = 2282
  integer, parameter :: nGC_2889 = 2283
  integer, parameter :: nGC_3155 = 2284
  integer, parameter :: nGC_3154 = 2285
  integer, parameter :: nGC_3102 = 2286
  integer, parameter :: nGC_1892 = 2287
  integer, parameter :: nGC_1704 = 2288
  integer, parameter :: nGC_3101 = 2289
  integer, parameter :: nGC_3106 = 2290
  integer, parameter :: nGC_3107 = 2291
  integer, parameter :: nGC_3104 = 2292
  integer, parameter :: nGC_TS_GC_31_Hl = 2293
  integer, parameter :: nGC_3109 = 2294
  integer, parameter :: nGC_1890 = 2295
  integer, parameter :: nGC_2989 = 2296
  integer, parameter :: nGC_TS_GC_30_Hl = 2297
  integer, parameter :: nGC_2820 = 2298
  integer, parameter :: nGC_1723 = 2299
  integer, parameter :: nGC_2827 = 2300
  integer, parameter :: nGC_2824 = 2301
  integer, parameter :: nGC_1664 = 2302
  integer, parameter :: nGC_2981 = 2303
  integer, parameter :: nGC_1896 = 2304
  integer, parameter :: nGC_2828 = 2305
  integer, parameter :: nGC_2829 = 2306
  integer, parameter :: nGC_1767 = 2307
  integer, parameter :: nGC_2987 = 2308
  integer, parameter :: nGC_2139 = 2309
  integer, parameter :: nGC_1705 = 2310
  integer, parameter :: nGC_2149 = 2311
  integer, parameter :: nGC_1894 = 2312
  integer, parameter :: nGC_1727 = 2313
  integer, parameter :: nGC_2638 = 2314
  integer, parameter :: nGC_1975 = 2315
  integer, parameter :: nGC_1974 = 2316
  integer, parameter :: nGC_2656 = 2317
  integer, parameter :: nGC_1976 = 2318
  integer, parameter :: nGC_3199 = 2319
  integer, parameter :: nGC_3198 = 2320
  integer, parameter :: nGC_1973 = 2321
  integer, parameter :: nGC_2643 = 2322
  integer, parameter :: nGC_3195 = 2323
  integer, parameter :: nGC_3196 = 2324
  integer, parameter :: nGC_1979 = 2325
  integer, parameter :: nGC_1978 = 2326
  integer, parameter :: nGC_3192 = 2327
  integer, parameter :: nGC_1964 = 2328
  integer, parameter :: nGC_2978 = 2329
  integer, parameter :: nGC_TS_GC_48_Hh = 2330
  integer, parameter :: nGC_2371 = 2331
  integer, parameter :: nGC_TS_GC_48_Hl = 2332
  integer, parameter :: nGC_TS_GC_112_Hh = 2333
  integer, parameter :: nGC_2130 = 2334
  integer, parameter :: nGC_2134 = 2335
  integer, parameter :: nGC_1822 = 2336
  integer, parameter :: nGC_2647 = 2337
  integer, parameter :: nGC_2651 = 2338
  integer, parameter :: nGC_3176 = 2339
  integer, parameter :: nGC_3175 = 2340
  integer, parameter :: nGC_2151 = 2341
  integer, parameter :: nGC_3172 = 2342
  integer, parameter :: nGC_3171 = 2343
  integer, parameter :: nGC_1785 = 2344
  integer, parameter :: nGC_3077 = 2345
  integer, parameter :: nGC_2645 = 2346
  integer, parameter :: nGC_3179 = 2347
  integer, parameter :: nGC_3128 = 2348
  integer, parameter :: nGC_1950 = 2349
  integer, parameter :: nGC_2852 = 2350
  integer, parameter :: nGC_2918 = 2351
  integer, parameter :: nGC_2919 = 2352
  integer, parameter :: nGC_2916 = 2353
  integer, parameter :: nGC_2917 = 2354
  integer, parameter :: nGC_2914 = 2355
  integer, parameter :: nGC_2913 = 2356
  integer, parameter :: nGC_2183 = 2357
  integer, parameter :: nGC_2970 = 2358
  integer, parameter :: nGC_TS_GC_103_Hl = 2359
  integer, parameter :: nGC_2972 = 2360
  integer, parameter :: nGC_2079 = 2361
  integer, parameter :: nGC_2078 = 2362
  integer, parameter :: nGC_3091 = 2363
  integer, parameter :: nGC_1916 = 2364
  integer, parameter :: nGC_2071 = 2365
  integer, parameter :: nGC_2070 = 2366
  integer, parameter :: nGC_2073 = 2367
  integer, parameter :: nGC_2072 = 2368
  integer, parameter :: nGC_2075 = 2369
  integer, parameter :: nGC_2074 = 2370
  integer, parameter :: nGC_2077 = 2371
  integer, parameter :: nGC_2076 = 2372
  integer, parameter :: nGC_TS_GC_37_Hh = 2373
  integer, parameter :: nGC_1914 = 2374
  integer, parameter :: nGC_TS_GC_37_Hl = 2375
  integer, parameter :: nGC_3121 = 2376
  integer, parameter :: nGC_1913 = 2377
  integer, parameter :: nGC_1912 = 2378
  integer, parameter :: nGC_3083 = 2379
  integer, parameter :: nGC_TS_GC_14_Hl = 2380
  integer, parameter :: nGC_2093 = 2381
  integer, parameter :: nGC_2171 = 2382
  integer, parameter :: nGC_3124 = 2383
  integer, parameter :: nGC_1665 = 2384
  integer, parameter :: nGC_1910 = 2385
  integer, parameter :: nGC_1854 = 2386
  integer, parameter :: nGC_1841 = 2387
  integer, parameter :: nGC_2173 = 2388
  integer, parameter :: nGC_1840 = 2389
  integer, parameter :: nGC_2148 = 2390
  integer, parameter :: nGC_2174 = 2391
  integer, parameter :: nGC_1713 = 2392
  integer, parameter :: nGC_1843 = 2393
  integer, parameter :: nGC_2175 = 2394
  integer, parameter :: nGC_2673 = 2395
  integer, parameter :: nGC_2672 = 2396
  integer, parameter :: nGC_2671 = 2397
  integer, parameter :: nGC_1842 = 2398
  integer, parameter :: nGC_2677 = 2399
  integer, parameter :: nGC_2676 = 2400
  integer, parameter :: nGC_2675 = 2401
  integer, parameter :: nGC_2674 = 2402
  integer, parameter :: nGC_TS_GC_125_Hh = 2403
  integer, parameter :: nGC_1845 = 2404
  integer, parameter :: nGC_2679 = 2405
  integer, parameter :: nGC_2678 = 2406
  integer, parameter :: nGC_TS_GC_103_Hh = 2407
  integer, parameter :: nGC_2774 = 2408
  integer, parameter :: nGC_1844 = 2409
  integer, parameter :: nGC_1917 = 2410
  integer, parameter :: nGC_1758 = 2411
  integer, parameter :: nGC_2756 = 2412
  integer, parameter :: nGC_1919 = 2413
  integer, parameter :: nGC_1965 = 2414
  integer, parameter :: nGC_2179 = 2415
  integer, parameter :: nGC_2966 = 2416
  integer, parameter :: nGC_1954 = 2417
  integer, parameter :: nGC_1918 = 2418
  integer, parameter :: nGC_1755 = 2419
  integer, parameter :: nGC_1754 = 2420
  integer, parameter :: nGC_1757 = 2421
  integer, parameter :: nGC_TS_GC_13_Hh = 2422
  integer, parameter :: nGC_2361 = 2423
  integer, parameter :: nGC_TS_GC_26_Hl = 2424
  integer, parameter :: nGC_2633 = 2425
  integer, parameter :: nGC_TS_GC_26_Hh = 2426
  integer, parameter :: nGC_1756 = 2427
  integer, parameter :: nGC_1825 = 2428
  integer, parameter :: nGC_TS_GC_109_Hl = 2429
  integer, parameter :: nGC_1856 = 2430
  integer, parameter :: nGC_1857 = 2431
  integer, parameter :: nGC_2138 = 2432
  integer, parameter :: nGC_1855 = 2433
  integer, parameter :: nGC_1852 = 2434
  integer, parameter :: nGC_1853 = 2435
  integer, parameter :: nGC_1850 = 2436
  integer, parameter :: nGC_1851 = 2437
  integer, parameter :: nGC_2178 = 2438
  integer, parameter :: nGC_2365 = 2439
  integer, parameter :: nGC_1858 = 2440
  integer, parameter :: nGC_1859 = 2441
  integer, parameter :: nGC_2717 = 2442
  integer, parameter :: nGC_1877 = 2443
  integer, parameter :: nGC_2666 = 2444
  integer, parameter :: nGC_3208 = 2445
  integer, parameter :: nGC_2669 = 2446
  integer, parameter :: nGC_3029 = 2447
  integer, parameter :: nGC_3222 = 2448
  integer, parameter :: nGC_1748 = 2449
  integer, parameter :: nGC_2709 = 2450
  integer, parameter :: nGC_1878 = 2451
  integer, parameter :: nGC_1672 = 2452
  integer, parameter :: nGC_1674 = 2453
  integer, parameter :: nGC_2702 = 2454
  integer, parameter :: nGC_2095 = 2455
  integer, parameter :: nGC_2094 = 2456
  integer, parameter :: nGC_2710 = 2457
  integer, parameter :: nGC_3130 = 2458
  integer, parameter :: nGC_2059 = 2459
  integer, parameter :: nGC_2084 = 2460
  integer, parameter :: nGC_2058 = 2461
  integer, parameter :: nGC_3272 = 2462
  integer, parameter :: nGC_2066 = 2463
  integer, parameter :: nGC_2057 = 2464
  integer, parameter :: nGC_3258 = 2465
  integer, parameter :: nGC_2062 = 2466
  integer, parameter :: nGC_2086 = 2467
  integer, parameter :: nGC_2060 = 2468
  integer, parameter :: nGC_2056 = 2469
  integer, parameter :: nGC_3252 = 2470
  integer, parameter :: nGC_3253 = 2471
  integer, parameter :: nGC_3256 = 2472
  integer, parameter :: nGC_2055 = 2473
  integer, parameter :: nGC_3254 = 2474
  integer, parameter :: nGC_2069 = 2475
  integer, parameter :: nGC_1733 = 2476
  integer, parameter :: nGC_1732 = 2477
  integer, parameter :: nGC_3030 = 2478
  integer, parameter :: nGC_2054 = 2479
  integer, parameter :: nGC_3036 = 2480
  integer, parameter :: nGC_3037 = 2481
  integer, parameter :: nGC_2895 = 2482
  integer, parameter :: nGC_2128 = 2483
  integer, parameter :: nGC_3234 = 2484
  integer, parameter :: nGC_1870 = 2485
  integer, parameter :: nGC_3038 = 2486
  integer, parameter :: nGC_2124 = 2487
  integer, parameter :: nGC_2123 = 2488
  integer, parameter :: nGC_2693 = 2489
  integer, parameter :: nGC_2653 = 2490
  integer, parameter :: nGC_2052 = 2491
  integer, parameter :: nGC_2088 = 2492
  integer, parameter :: nGC_2051 = 2493
  integer, parameter :: nGC_2955 = 2494
  integer, parameter :: nGC_3133 = 2495
  integer, parameter :: nGC_3132 = 2496
  integer, parameter :: nGC_2959 = 2497
  integer, parameter :: nGC_3137 = 2498
  integer, parameter :: nGC_3136 = 2499
  integer, parameter :: nGC_3135 = 2500
  integer, parameter :: nGC_2794 = 2501
  integer, parameter :: nGC_2819 = 2502
  integer, parameter :: nGC_2791 = 2503
  integer, parameter :: nGC_2792 = 2504
  integer, parameter :: nGC_2793 = 2505
  integer, parameter :: nGC_2813 = 2506
  integer, parameter :: nGC_2811 = 2507
  integer, parameter :: nGC_2810 = 2508
  integer, parameter :: nGC_2011 = 2509
  integer, parameter :: nGC_2821 = 2510
  integer, parameter :: nGC_2623 = 2511
  integer, parameter :: nGC_2152 = 2512
  integer, parameter :: nGC_2150 = 2513
  integer, parameter :: nGC_2156 = 2514
  integer, parameter :: nGC_2157 = 2515
  integer, parameter :: nGC_2155 = 2516
  integer, parameter :: nGC_2880 = 2517
  integer, parameter :: nGC_1721 = 2518
  integer, parameter :: nGC_2884 = 2519
  integer, parameter :: nGC_2053 = 2520
  integer, parameter :: nGC_2887 = 2521
  integer, parameter :: nGC_2135 = 2522
  integer, parameter :: nGC_2136 = 2523
  integer, parameter :: nGC_1943 = 2524
  integer, parameter :: nGC_3281 = 2525
  integer, parameter :: nGC_3280 = 2526
  integer, parameter :: nGC_2104 = 2527
  integer, parameter :: nGC_3044 = 2528
  integer, parameter :: nGC_3043 = 2529
  integer, parameter :: nGC_3042 = 2530
  integer, parameter :: nGC_3286 = 2531
  integer, parameter :: nGC_3122 = 2532
  integer, parameter :: nGC_2068 = 2533
  integer, parameter :: nGC_3125 = 2534
  integer, parameter :: nGC_3048 = 2535
  integer, parameter :: nGC_2808 = 2536
  integer, parameter :: nGC_2926 = 2537
  integer, parameter :: nGC_3277 = 2538
  integer, parameter :: nGC_2800 = 2539
  integer, parameter :: nGC_2097 = 2540
  integer, parameter :: nGC_2803 = 2541
  integer, parameter :: nGC_3261 = 2542
  integer, parameter :: nGC_2806 = 2543
  integer, parameter :: nGC_2928 = 2544
  integer, parameter :: nGC_2001 = 2545
  integer, parameter :: nGC_2115 = 2546
  integer, parameter :: nGC_1809 = 2547
  integer, parameter :: nGC_1808 = 2548
  integer, parameter :: nGC_1666 = 2549
  integer, parameter :: nGC_2109 = 2550
  integer, parameter :: nGC_2108 = 2551
  integer, parameter :: nGC_1719 = 2552
  integer, parameter :: nGC_1718 = 2553
  integer, parameter :: nGC_1869 = 2554
  integer, parameter :: nGC_2205 = 2555
  integer, parameter :: nGC_2101 = 2556
  integer, parameter :: nGC_1717 = 2557
  integer, parameter :: nGC_1716 = 2558
  integer, parameter :: nGC_1783 = 2559
  integer, parameter :: nGC_1862 = 2560
  integer, parameter :: nGC_1861 = 2561
  integer, parameter :: nGC_3118 = 2562
  integer, parameter :: nGC_2181 = 2563
  integer, parameter :: nGC_1794 = 2564
  integer, parameter :: nGC_1797 = 2565
  integer, parameter :: nGC_2182 = 2566
  integer, parameter :: nGC_3050 = 2567
  integer, parameter :: nGC_2184 = 2568
  integer, parameter :: nGC_2187 = 2569
  integer, parameter :: nGC_2127 = 2570
  integer, parameter :: nGC_2188 = 2571
  integer, parameter :: nGC_3294 = 2572
  integer, parameter :: nGC_2223 = 2573
  integer, parameter :: nGC_1799 = 2574
  integer, parameter :: nGC_1798 = 2575
  integer, parameter :: nGC_3290 = 2576
  integer, parameter :: nGC_2630 = 2577
  integer, parameter :: nGC_2881 = 2578
  integer, parameter :: nGC_1795 = 2579
  integer, parameter :: nGC_2010 = 2580
  integer, parameter :: nGC_1887 = 2581
  integer, parameter :: nGC_2931 = 2582
  integer, parameter :: nGC_2180 = 2583
  integer, parameter :: nGC_1909 = 2584
  integer, parameter :: nGC_3060 = 2585
  integer, parameter :: nGC_2836 = 2586
  integer, parameter :: nGC_2039 = 2587
  integer, parameter :: nGC_2038 = 2588
  integer, parameter :: nGC_2035 = 2589
  integer, parameter :: nGC_2034 = 2590
  integer, parameter :: nGC_2037 = 2591
  integer, parameter :: nGC_2036 = 2592
  integer, parameter :: nGC_2033 = 2593
  integer, parameter :: nGC_2032 = 2594
  integer, parameter :: nGC_1948 = 2595
  integer, parameter :: nGC_2217 = 2596
  integer, parameter :: nGC_2747 = 2597
  integer, parameter :: nGC_1879 = 2598
  integer, parameter :: nGC_2745 = 2599
  integer, parameter :: nGC_3105 = 2600
  integer, parameter :: nGC_1874 = 2601
  integer, parameter :: nGC_1875 = 2602
  integer, parameter :: nGC_1876 = 2603
  integer, parameter :: nGC_2748 = 2604
  integer, parameter :: nGC_2219 = 2605
  integer, parameter :: nGC_2218 = 2606
  integer, parameter :: nGC_1872 = 2607
  integer, parameter :: nGC_1873 = 2608
  integer, parameter :: nGC_1669 = 2609
  integer, parameter :: nGC_1668 = 2610
  integer, parameter :: nGC_1781 = 2611
  integer, parameter :: nGC_2125 = 2612
  integer, parameter :: nGC_2629 = 2613
  integer, parameter :: nGC_2196 = 2614
  integer, parameter :: nGC_2980 = 2615
  integer, parameter :: nGC_2194 = 2616
  integer, parameter :: nGC_1968 = 2617
  integer, parameter :: nGC_2190 = 2618
  integer, parameter :: nGC_2191 = 2619
  integer, parameter :: nGC_1737 = 2620
  integer, parameter :: nGC_2634 = 2621
  integer, parameter :: nGC_2067 = 2622
  integer, parameter :: nGC_3216 = 2623
  integer, parameter :: nGC_2028 = 2624
  integer, parameter :: nGC_2065 = 2625
  integer, parameter :: nGC_3210 = 2626
  integer, parameter :: nGC_1972 = 2627
  integer, parameter :: nGC_3194 = 2628
  integer, parameter :: nGC_2029 = 2629
  integer, parameter :: nGC_2026 = 2630
  integer, parameter :: nGC_2027 = 2631
  integer, parameter :: nGC_1736 = 2632
  integer, parameter :: nGC_2750 = 2633
  integer, parameter :: nGC_2994 = 2634
  integer, parameter :: nGC_2137 = 2635
  integer, parameter :: nGC_2206 = 2636
  integer, parameter :: nGC_2755 = 2637
  integer, parameter :: nGC_1670 = 2638
  integer, parameter :: nGC_2991 = 2639
  integer, parameter :: nGC_2208 = 2640
  integer, parameter :: nGC_1847 = 2641
  integer, parameter :: nGC_1846 = 2642
  integer, parameter :: nGC_3098 = 2643
  integer, parameter :: nGC_3078 = 2644
  integer, parameter :: nGC_1777 = 2645
  integer, parameter :: nGC_2613 = 2646
  integer, parameter :: nGC_1773 = 2647
  integer, parameter :: nGC_3178 = 2648
  integer, parameter :: nGC_2690 = 2649
  integer, parameter :: nGC_2855 = 2650
  integer, parameter :: nGC_3129 = 2651
  integer, parameter :: nGC_2141 = 2652
  integer, parameter :: nGC_1775 = 2653
  integer, parameter :: nGC_2140 = 2654
  integer, parameter :: nGC_3263 = 2655
  integer, parameter :: nGC_3262 = 2656
  integer, parameter :: nGC_3188 = 2657
  integer, parameter :: nGC_3267 = 2658
  integer, parameter :: nGC_3266 = 2659
  integer, parameter :: nGC_3265 = 2660
  integer, parameter :: nGC_3264 = 2661
  integer, parameter :: nGC_3182 = 2662
  integer, parameter :: nGC_3285 = 2663
  integer, parameter :: nGC_3269 = 2664
  integer, parameter :: nGC_3268 = 2665
  integer, parameter :: nGC_3186 = 2666
  integer, parameter :: nGC_3187 = 2667
  integer, parameter :: nGC_3284 = 2668
  integer, parameter :: nGC_1885 = 2669
  integer, parameter :: nGC_1907 = 2670
  integer, parameter :: nGC_2143 = 2671
  integer, parameter :: nGC_2766 = 2672
  integer, parameter :: nGC_1908 = 2673
  integer, parameter :: nGC_1731 = 2674
  integer, parameter :: nGC_3166 = 2675
  integer, parameter :: nGC_2753 = 2676
  integer, parameter :: nGC_3282 = 2677
  integer, parameter :: nGC_3161 = 2678
  integer, parameter :: nGC_3141 = 2679
  integer, parameter :: nGC_2992 = 2680
  integer, parameter :: nGC_3006 = 2681
  integer, parameter :: nGC_3005 = 2682
  integer, parameter :: nGC_1880 = 2683
  integer, parameter :: nGC_2844 = 2684
  integer, parameter :: nGC_2968 = 2685
  integer, parameter :: nGC_3218 = 2686
  integer, parameter :: nGC_2129 = 2687
  integer, parameter :: nGC_2843 = 2688
  integer, parameter :: nGC_2963 = 2689
  integer, parameter :: nGC_1682 = 2690
  integer, parameter :: nGC_2961 = 2691
  integer, parameter :: nGC_1671 = 2692
  integer, parameter :: nGC_2682 = 2693
  integer, parameter :: nGC_3081 = 2694
  integer, parameter :: nGC_2964 = 2695
  integer, parameter :: nGC_3270 = 2696
  integer, parameter :: nGC_3271 = 2697
  integer, parameter :: nGC_2161 = 2698
  integer, parameter :: nGC_3273 = 2699
  integer, parameter :: nGC_3274 = 2700
  integer, parameter :: nGC_3275 = 2701
  integer, parameter :: nGC_3276 = 2702
  integer, parameter :: nGC_2164 = 2703
  integer, parameter :: nGC_3278 = 2704
  integer, parameter :: nGC_3279 = 2705
  integer, parameter :: nGC_2168 = 2706
  integer, parameter :: nGC_2657 = 2707
  integer, parameter :: nGC_2779 = 2708
  integer, parameter :: nGC_3085 = 2709
  integer, parameter :: nGC_2771 = 2710
  integer, parameter :: nGC_2122 = 2711
  integer, parameter :: nGC_1667 = 2712
  integer, parameter :: nGC_2998 = 2713
  integer, parameter :: nGC_3157 = 2714
  integer, parameter :: nGC_3156 = 2715
  integer, parameter :: nGC_3159 = 2716
  integer, parameter :: nGC_3158 = 2717
  integer, parameter :: nGC_1838 = 2718
  integer, parameter :: nGC_2142 = 2719
  integer, parameter :: nGC_2873 = 2720
  integer, parameter :: nGC_2874 = 2721
  integer, parameter :: nGC_2877 = 2722
  integer, parameter :: nGC_2974 = 2723
  integer, parameter :: nGC_1981 = 2724
  integer, parameter :: nGC_2170 = 2725
  integer, parameter :: nGC_1661 = 2726
  integer, parameter :: nGC_3086 = 2727
  integer, parameter :: nGC_2176 = 2728
  integer, parameter :: nGC_2177 = 2729
  integer, parameter :: nGC_2049 = 2730
  integer, parameter :: nGC_1886 = 2731
  integer, parameter :: nGC_1681 = 2732
  integer, parameter :: nGC_1983 = 2733
  integer, parameter :: nGC_3289 = 2734
  integer, parameter :: nGC_3259 = 2735
  integer, parameter :: nGC_3293 = 2736
  integer, parameter :: nGC_3260 = 2737
  contains
  function get_coupling_value_mdl(c_id) result(ret_c)
    integer, intent(in) :: c_id
    complex(dp) :: ret_c
    if (c_id .eq. 0) then
      ret_c = cnul
    else
      ret_c = coupl(c_id)
    end if
  end function get_coupling_value_mdl
end module class_couplings
