!******************************************************************************!
!                                                                              !
!    ctparameter13.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter13.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-16 14:57             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter13
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter13()
  dZHa_QED2 = (4d0*Nc*Ten406*coupl(nGC_194)**2d0 + 4d0*Nc*Ten407*coupl(nGC_132 &
              )**2d0 + 4d0*Nc*Ten408*coupl(nGC_179)**2d0 - 4d0*Nc*Ten409*coupl(&
              nGC_147)*coupl(nGC_148) - 4d0*Nc*Ten410*coupl(nGC_171)*coupl(    &
              nGC_172) - 4d0*Nc*Ten411*coupl(nGC_143)*coupl(nGC_144) + 4d0*Nc* &
              Ten428*coupl(nGC_194)**2d0 + 4d0*Nc*Ten429*coupl(nGC_132)**2d0 + &
              4d0*Nc*Ten430*coupl(nGC_179)**2d0 - 4d0*Nc*Ten431*coupl(nGC_147)*&
              coupl(nGC_148) - 4d0*Nc*Ten432*coupl(nGC_171)*coupl(nGC_172) -   &
              4d0*Nc*Ten433*coupl(nGC_143)*coupl(nGC_144) - 4d0*Nc*Ten451*cMU**&
              2d0*coupl(nGC_194)**2d0 - 4d0*Nc*Ten452*cMC**2d0*coupl(nGC_132)**&
              2d0 - 4d0*Nc*Ten453*cMT**2d0*coupl(nGC_179)**2d0 - 2d0*Nc*Ten454*&
              cMD**2d0*(coupl(nGC_147)**2d0 + coupl(nGC_148)**2d0) - 2d0*Nc*   &
              Ten455*cMS**2d0*(coupl(nGC_171)**2d0 + coupl(nGC_172)**2d0) - 2d0&
              *Nc*Ten456*cMB**2d0*(coupl(nGC_143)**2d0 + coupl(nGC_144)**2d0   &
              ) + 4d0*Nc*Ten460*coupl(nGC_194)**2d0*rMHA**2d0 + 4d0*Nc*Ten461* &
              coupl(nGC_132)**2d0*rMHA**2d0 + 4d0*Nc*Ten462*coupl(nGC_179)**2d0&
              *rMHA**2d0 - 4d0*Nc*Ten463*coupl(nGC_147)*coupl(nGC_148)*rMHA**  &
              2d0 - 4d0*Nc*Ten464*coupl(nGC_171)*coupl(nGC_172)*rMHA**2d0 - 4d0&
              *Nc*Ten465*coupl(nGC_143)*coupl(nGC_144)*rMHA**2d0 + 16d0*Nc*    &
              Ten469*coupl(nGC_194)**2d0 + 16d0*Nc*Ten470*coupl(nGC_132)**2d0  &
               + 16d0*Nc*Ten471*coupl(nGC_179)**2d0 - 16d0*Nc*Ten472*coupl(    &
              nGC_147)*coupl(nGC_148) - 16d0*Nc*Ten473*coupl(nGC_171)*coupl(   &
              nGC_172) - 16d0*Nc*Ten474*coupl(nGC_143)*coupl(nGC_144) + 4d0*Nc*&
              Ten478*coupl(nGC_194)**2d0*rMHA**2d0 + 4d0*Nc*Ten479*coupl(      &
              nGC_132)**2d0*rMHA**2d0 + 4d0*Nc*Ten480*coupl(nGC_179)**2d0*rMHA &
              **2d0 - 4d0*Nc*Ten481*coupl(nGC_147)*coupl(nGC_148)*rMHA**2d0 -  &
              4d0*Nc*Ten482*coupl(nGC_171)*coupl(nGC_172)*rMHA**2d0 - 4d0*Nc*  &
              Ten483*coupl(nGC_143)*coupl(nGC_144)*rMHA**2d0 + 2d0*Nc*coupl(   &
              nGC_132)**2d0/3d0 - 2d0*Nc*coupl(nGC_143)*coupl(nGC_144)/3d0 -   &
              2d0*Nc*coupl(nGC_147)*coupl(nGC_148)/3d0 - 2d0*Nc*coupl(nGC_171)*&
              coupl(nGC_172)/3d0 + 2d0*Nc*coupl(nGC_179)**2d0/3d0 + 2d0*Nc*    &
              coupl(nGC_194)**2d0/3d0 + 4d0*Ten384*coupl(nGC_94)**2d0 + 4d0*   &
              Ten385*coupl(nGC_94)**2d0 + Ten387*coupl(nGC_94)**2d0 + 4d0*     &
              Ten388*coupl(nGC_92)**2d0 + 8d0*Ten391*coupl(nGC_72)**2d0 + 4d0* &
              Ten401*coupl(nGC_92)**2d0 + 8d0*Ten402*coupl(nGC_72)**2d0 - 4d0* &
              Ten403*coupl(nGC_155)*coupl(nGC_156) - 4d0*Ten404*coupl(nGC_163)*&
              coupl(nGC_164) - 4d0*Ten405*coupl(nGC_186)*coupl(nGC_187) +      &
              Ten423*coupl(nGC_92)**2d0 + 2d0*Ten424*coupl(nGC_72)**2d0 - 4d0* &
              Ten425*coupl(nGC_155)*coupl(nGC_156) - 4d0*Ten426*coupl(nGC_163)*&
              coupl(nGC_164) - 4d0*Ten427*coupl(nGC_186)*coupl(nGC_187) +      &
              Ten434*(coupl(nGC_120)**2d0 + 4d0*coupl(nGC_94)**2d0*rMHA**2d0   &
              ) + 4d0*Ten435*coupl(nGC_94)**2d0*rMHA**2d0 + 4d0*Ten436*coupl(  &
              nGC_94)**2d0 + Ten437*coupl(nGC_94)**2d0*rMHA**2d0 + Ten438*(    &
              coupl(nGC_112)**2d0 + 4d0*coupl(nGC_92)**2d0*rMHA**2d0) + 4d0*   &
              Ten439*coupl(nGC_92)**2d0*rMHA**2d0 + 4d0*Ten440*coupl(nGC_92)** &
              2d0 + Ten441*coupl(nGC_92)**2d0*rMHA**2d0 + 2d0*Ten442*(coupl(   &
              nGC_122)*coupl(nGC_123) + 4d0*coupl(nGC_72)**2d0*rMHA**2d0) + 8d0&
              *Ten443*coupl(nGC_72)**2d0*rMHA**2d0 + 8d0*Ten444*coupl(nGC_72)**&
              2d0 + 2d0*Ten445*coupl(nGC_72)**2d0*rMHA**2d0 + Ten446*coupl(    &
              nGC_113)**2d0 + Ten447*coupl(nGC_121)**2d0 - 2d0*Ten448*cME**2d0 &
              *(coupl(nGC_155)**2d0 + coupl(nGC_156)**2d0) - 2d0*Ten449*cMM**  &
              2d0*(coupl(nGC_163)**2d0 + coupl(nGC_164)**2d0) - 2d0*Ten450*cMTA&
              **2d0*(coupl(nGC_186)**2d0 + coupl(nGC_187)**2d0) - 4d0*Ten457*  &
              coupl(nGC_155)*coupl(nGC_156)*rMHA**2d0 - 4d0*Ten458*coupl(      &
              nGC_163)*coupl(nGC_164)*rMHA**2d0 - 4d0*Ten459*coupl(nGC_186)*   &
              coupl(nGC_187)*rMHA**2d0 - 16d0*Ten466*coupl(nGC_155)*coupl(     &
              nGC_156) - 16d0*Ten467*coupl(nGC_163)*coupl(nGC_164) - 16d0*     &
              Ten468*coupl(nGC_186)*coupl(nGC_187) - 4d0*Ten475*coupl(nGC_155)*&
              coupl(nGC_156)*rMHA**2d0 - 4d0*Ten476*coupl(nGC_163)*coupl(      &
              nGC_164)*rMHA**2d0 - 4d0*Ten477*coupl(nGC_186)*coupl(nGC_187)*   &
              rMHA**2d0 - 2d0*coupl(nGC_155)*coupl(nGC_156)/3d0 - 2d0*coupl(   &
              nGC_163)*coupl(nGC_164)/3d0 - 2d0*coupl(nGC_186)*coupl(nGC_187)/ &
              3d0 + coupl(nGC_72)**2d0/3d0 + coupl(nGC_92)**2d0/6d0 + coupl(   &
              nGC_94)**2d0/6d0)/(16d0*pi**2d0)
    if (.not. complex_mass_scheme) then
      dZHa_QED2 = cone*real(dZHa_QED2,kind=dp)
    end if 
end subroutine set_ctparameter13
end module ctparameter13
