!******************************************************************************!
!                                                                              !
!    ctparameter143.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter143.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-16 14:57             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter143
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter143()
  if (dZdR_QED2_scheme .eq. 1) then
    dZdR_QED2 = (2d0*Ten622*coupl(nGC_1)**2d0 + 2d0*Ten623*coupl(nGC_84)**2d0  &
                 + 2d0*Ten628*coupl(nGC_1)**2d0 + 2d0*Ten629*coupl(nGC_84)**2d0&
                 - 4d0*Ten639*cMD_reg**2d0*coupl(nGC_1)**2d0 + 4d0*Ten646*     &
                cMD_reg**2d0*coupl(nGC_1)**2d0 - coupl(nGC_1)**2d0 - coupl(    &
                nGC_84)**2d0)/(16d0*pi**2d0)
    dZdR_QED2 = cone*real(dZdR_QED2,kind=dp)
  end if 
end subroutine set_ctparameter143
end module ctparameter143
