!******************************************************************************!
!                                                                              !
!    ctparameter158.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter158.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-16 14:57             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter158
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter158()
  if (dMD_QED2_scheme .eq. 0) then
    dMD_QED2 = cima*(coupl(nGC_145)*dtHl_QED1/cMHL**2d0 + coupl(nGC_149)*      &
               dtHh_QED1/cMHH**2d0) + (2d0*Ten622*cMD*coupl(nGC_1)**2d0 +      &
               Ten623*cMD*(-coupl(nGC_151)**2d0 - 2d0*coupl(nGC_151)*coupl(    &
               nGC_152) - coupl(nGC_152)**2d0 - 2d0*coupl(nGC_84)**2d0 + 8d0*  &
               coupl(nGC_84)*coupl(nGC_87) - 2d0*coupl(nGC_87)**2d0)/2d0 -     &
               Ten624*(cMD*coupl(nGC_150)**2d0 + cMD*coupl(nGC_196)**2d0 + 2d0*&
               cMD*coupl(nGC_80)**2d0 + 2d0*cMU*coupl(nGC_150)*coupl(nGC_196))/&
               2d0 + Ten625*cMD*coupl(nGC_147)*coupl(nGC_148) + Ten626*cMD*    &
               coupl(nGC_145)**2d0 + Ten627*cMD*coupl(nGC_149)**2d0 - 2d0*     &
               Ten628*cMD*coupl(nGC_1)**2d0 - Ten629*cMD*(coupl(nGC_151)*coupl(&
               nGC_152) + coupl(nGC_84)**2d0 + coupl(nGC_87)**2d0) - Ten630*cMD&
               *(coupl(nGC_150)**2d0 + coupl(nGC_196)**2d0 + 2d0*coupl(nGC_80  &
               )**2d0)/2d0 + Ten631*cMD*(coupl(nGC_146)**2d0 + coupl(nGC_193)**&
               2d0)/2d0 - Ten632*cMD*(coupl(nGC_147)**2d0 + coupl(nGC_148)**2d0&
               )/2d0 - Ten633*cMD*coupl(nGC_145)**2d0 - Ten634*cMD*coupl(      &
               nGC_149)**2d0 - Ten635*cMU*coupl(nGC_146)*coupl(nGC_193) + cMD  &
               *(-2d0*coupl(nGC_1)**2d0 + coupl(nGC_80)**2d0 + coupl(nGC_84)** &
               2d0 - 4d0*coupl(nGC_84)*coupl(nGC_87) + coupl(nGC_87)**2d0)/2d0 &
               )/(16d0*pi**2d0)
    dMD_QED2 = cone*real(dMD_QED2,kind=dp)
  end if 
end subroutine set_ctparameter158
end module ctparameter158
