!******************************************************************************!
!                                                                              !
!    ctparameter79.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter79.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-16 14:57             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter79
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter79()
  dZGMinusHMinus_QED2 = (-4d0*Nc*Ten357*cMD*cMU*(coupl(nGC_146)*coupl(nGC_196  &
                        ) + coupl(nGC_150)*coupl(nGC_193))/cMHC**2d0 - 4d0*Nc* &
                        Ten358*cMC*cMS*(coupl(nGC_131)*coupl(nGC_174) + coupl( &
                        nGC_134)*coupl(nGC_170))/cMHC**2d0 - 4d0*Nc*Ten359*cMB*&
                        cMT*(coupl(nGC_138)*coupl(nGC_178) + coupl(nGC_142)*   &
                        coupl(nGC_181))/cMHC**2d0 - 4d0*Nc*Ten366*(coupl(      &
                        nGC_146)*coupl(nGC_150) + coupl(nGC_193)*coupl(nGC_196 &
                        )) - 16d0*Nc*Ten367*(coupl(nGC_146)*coupl(nGC_150) +   &
                        coupl(nGC_193)*coupl(nGC_196))/cMHC**2d0 - 4d0*Nc*     &
                        Ten368*(coupl(nGC_146)*coupl(nGC_150) + coupl(nGC_193)*&
                        coupl(nGC_196)) - 4d0*Nc*Ten369*(coupl(nGC_131)*coupl( &
                        nGC_134) + coupl(nGC_170)*coupl(nGC_174)) - 16d0*Nc*   &
                        Ten370*(coupl(nGC_131)*coupl(nGC_134) + coupl(nGC_170)*&
                        coupl(nGC_174))/cMHC**2d0 - 4d0*Nc*Ten371*(coupl(      &
                        nGC_131)*coupl(nGC_134) + coupl(nGC_170)*coupl(nGC_174 &
                        )) - 4d0*Nc*Ten372*(coupl(nGC_138)*coupl(nGC_142) +    &
                        coupl(nGC_178)*coupl(nGC_181)) - 16d0*Nc*Ten373*(coupl(&
                        nGC_138)*coupl(nGC_142) + coupl(nGC_178)*coupl(nGC_181 &
                        ))/cMHC**2d0 - 4d0*Nc*Ten374*(coupl(nGC_138)*coupl(    &
                        nGC_142) + coupl(nGC_178)*coupl(nGC_181)) - cima*Ten0* &
                        coupl(nGC_24)/cMHC**2d0 - cima*Ten1*coupl(nGC_43)/cMHC &
                        **2d0 - 2d0*cima*Ten13*coupl(nGC_44)/cMHC**2d0 - cima* &
                        Ten14*coupl(nGC_42)/cMHC**2d0 - cima*Ten2*coupl(nGC_27 &
                        )/cMHC**2d0 - 2d0*cima*Ten3*coupl(nGC_45)/cMHC**2d0 +  &
                        2d0*Ten352*coupl(nGC_110)*coupl(nGC_119)/cMHC**2d0 +   &
                        2d0*Ten353*coupl(nGC_111)*coupl(nGC_118)/cMHC**2d0 +   &
                        2d0*Ten354*(-4d0*cMHC**2d0*coupl(nGC_63)*coupl(nGC_68  &
                        ) + coupl(nGC_108)*coupl(nGC_119))/cMHC**2d0 + 2d0*    &
                        Ten355*(-4d0*cMHC**2d0*coupl(nGC_64)*coupl(nGC_68) +   &
                        coupl(nGC_111)*coupl(nGC_116))/cMHC**2d0 - 8d0*Ten360* &
                        coupl(nGC_63)*coupl(nGC_68) - 8d0*Ten361*coupl(nGC_63)*&
                        coupl(nGC_68)/cMHC**2d0 - 2d0*Ten362*coupl(nGC_63)*    &
                        coupl(nGC_68) - 8d0*Ten363*coupl(nGC_64)*coupl(nGC_68  &
                        ) - 8d0*Ten364*coupl(nGC_64)*coupl(nGC_68)/cMHC**2d0 - &
                        2d0*Ten365*coupl(nGC_64)*coupl(nGC_68) - 4d0*Ten375*   &
                        coupl(nGC_154)*coupl(nGC_158) - 4d0*Ten376*coupl(      &
                        nGC_162)*coupl(nGC_166) - 4d0*Ten377*coupl(nGC_185)*   &
                        coupl(nGC_189) - 16d0*Ten378*coupl(nGC_154)*coupl(     &
                        nGC_158)/cMHC**2d0 - 16d0*Ten379*coupl(nGC_162)*coupl( &
                        nGC_166)/cMHC**2d0 - 16d0*Ten380*coupl(nGC_185)*coupl( &
                        nGC_189)/cMHC**2d0 - 4d0*Ten381*coupl(nGC_154)*coupl(  &
                        nGC_158) - 4d0*Ten382*coupl(nGC_162)*coupl(nGC_166) -  &
                        4d0*Ten383*coupl(nGC_185)*coupl(nGC_189) + (6d0*Nc*cMB &
                        **2d0*coupl(nGC_138)*coupl(nGC_142) + 6d0*Nc*cMB**2d0* &
                        coupl(nGC_178)*coupl(nGC_181) + 6d0*Nc*cMC**2d0*coupl( &
                        nGC_131)*coupl(nGC_134) + 6d0*Nc*cMC**2d0*coupl(nGC_170&
                        )*coupl(nGC_174) + 6d0*Nc*cMD**2d0*coupl(nGC_146)*coupl&
                        (nGC_150) + 6d0*Nc*cMD**2d0*coupl(nGC_193)*coupl(      &
                        nGC_196) - 2d0*Nc*cMHC**2d0*coupl(nGC_131)*coupl(      &
                        nGC_134) - 2d0*Nc*cMHC**2d0*coupl(nGC_138)*coupl(      &
                        nGC_142) - 2d0*Nc*cMHC**2d0*coupl(nGC_146)*coupl(      &
                        nGC_150) - 2d0*Nc*cMHC**2d0*coupl(nGC_170)*coupl(      &
                        nGC_174) - 2d0*Nc*cMHC**2d0*coupl(nGC_178)*coupl(      &
                        nGC_181) - 2d0*Nc*cMHC**2d0*coupl(nGC_193)*coupl(      &
                        nGC_196) + 6d0*Nc*cMS**2d0*coupl(nGC_131)*coupl(nGC_134&
                        ) + 6d0*Nc*cMS**2d0*coupl(nGC_170)*coupl(nGC_174) + 6d0&
                        *Nc*cMT**2d0*coupl(nGC_138)*coupl(nGC_142) + 6d0*Nc*cMT&
                        **2d0*coupl(nGC_178)*coupl(nGC_181) + 6d0*Nc*cMU**2d0* &
                        coupl(nGC_146)*coupl(nGC_150) + 6d0*Nc*cMU**2d0*coupl( &
                        nGC_193)*coupl(nGC_196) + 6d0*cME**2d0*coupl(nGC_154)* &
                        coupl(nGC_158) - 2d0*cMHC**2d0*coupl(nGC_154)*coupl(   &
                        nGC_158) - 2d0*cMHC**2d0*coupl(nGC_162)*coupl(nGC_166  &
                        ) - 2d0*cMHC**2d0*coupl(nGC_185)*coupl(nGC_189) - cMHC &
                        **2d0*coupl(nGC_63)*coupl(nGC_68) - cMHC**2d0*coupl(   &
                        nGC_64)*coupl(nGC_68) + 3d0*cMHH**2d0*coupl(nGC_64)*   &
                        coupl(nGC_68) + 3d0*cMHL**2d0*coupl(nGC_63)*coupl(     &
                        nGC_68) + 6d0*cMM**2d0*coupl(nGC_162)*coupl(nGC_166) + &
                        6d0*cMTA**2d0*coupl(nGC_185)*coupl(nGC_189) + 3d0*cMW**&
                        2d0*coupl(nGC_63)*coupl(nGC_68) + 3d0*cMW**2d0*coupl(  &
                        nGC_64)*coupl(nGC_68) - 12d0*coupl(nGC_102)*coupl(     &
                        nGC_107) - 12d0*coupl(nGC_126)*coupl(nGC_127))/(3d0*   &
                        cMHC**2d0))/(16d0*pi**2d0) - 2d0*cima*(coupl(nGC_119)* &
                        dtHl_QED1/cMHL**2d0 + coupl(nGC_111)*dtHh_QED1/cMHH**  &
                        2d0)/cMHC**2d0
    if (.not. complex_mass_scheme) then
      dZGMinusHMinus_QED2 = cone*real(dZGMinusHMinus_QED2,kind=dp)
    end if 
end subroutine set_ctparameter79
end module ctparameter79
